Server Manager

Windows Server® 2008 eases the task of managing and securing multiple server roles in an enterprise with the Server Manager console. Server Manager in Windows Server 2008 provides a single source for managing a server's identity and system information, displaying server status, identifying problems with server role configuration, and managing all roles installed on the server.

How Server Manager Streamlines Server Administration

Server Manager makes server administration more efficient by allowing administrators to do the following by using a single tool:

  • View and make changes to server roles and features installed on the server.

  • Perform management tasks associated with the operational lifecycle of the server, such as starting or stopping services, and managing local user accounts.

  • Perform management tasks associated with the operational lifecycle of roles installed on the server.

  • Determine server status, identify critical events, and analyze and troubleshoot configuration issues or failures.

In this Section

Roles, Role Services, and Features

Adding Server Roles and Features

Removing Server Roles and Features

The Server Manager Main Window

Role Home Pages

Server Manager Command-line Tools

Accessibility Features in Server Manager


Roles, Role Services, and Features

Server Manager in Windows Server® 2008 replaces older management consoles such as Configure Your Server and Manage Your Server. With Server Manager, you prepare your server for deployment by installing logical software packages known as roles, role services, and features.

This topic defines what roles, role services, and features are, and how they are integrated in your enterprise.

What are server roles, role services, and features?

This section defines the terms role, role service, and feature as they apply to Windows Server 2008.

Roles

A server role is a set of software programs that, when installed and properly configured, allows a computer to perform a specific function for multiple users or other computers within a network. Generally speaking, roles share the following characteristics:

  • They describe the primary function, purpose, or use of a computer. A specific computer can be dedicated to perform a single role that is heavily used in the enterprise, or may perform multiple roles if each role is only lightly used in the enterprise.

  • They provide users throughout an organization access to resources managed by other computers, such as Web sites, printers, or files stored on different computers.

  • They typically include their own databases, which can queue user or computer requests, or record information about network users and computers that relates to the role. For example, Active Directory Domain Services includes a database for storing the names and hierarchical relationships of all computers in a network.

  • Once properly installed and configured, roles are designed to function automatically, allowing the computers on which they are installed to perform prescribed tasks with limited user commands or supervision.

Role services

Role services are software programs that provide the functionality of a role. When you install a role, you can choose which role services the role will provide for other users and computers in your enterprise. Some roles, such as DNS Server, have only a single function, and therefore do not have available role services. Other roles, such as Terminal Services, have several role services that can be installed, depending on the remote computing needs of your enterprise.

You can consider a role as a grouping of closely related, complementary role services, for which, in the majority of cases, installing the role means installing one or more of its role services.

Features

Features are software programs that, though they are not directly parts of roles, can support or augment the functionality of one or more roles, or enhance the functionality of the entire server, regardless of which roles are installed. For example, the Failover Clustering feature augments the functionality of other roles, such as File Services and DHCP Server, by enabling them to join server clusters for increased redundancy and improved performance. Another feature, Telnet Client, allows you to communicate remotely with a telnet server over a network connection, functionality which enhances the communication options of the server as a whole.

Dependencies in Server Manager

As you install roles and prepare to deploy your server, Server Manager prompts you to install any other roles, role services, or features that are required by a role you want to install. For example, many roles, such as UDDI Services, require Web Server (IIS) to run.

Similarly, if you want to remove roles, role services, or features from your computer, messages from Server Manager show you if other programs require the software you are removing. For example, if you want to remove Web Server (IIS), Server Manager alerts you if other roles that depend on Web Server (IIS) remain on the computer. This complex arrangement of software dependencies is managed by Server Manager and prevents the accidental removal of software that the server requires to perform its assigned tasks. Users are not required to know on what software the roles they want to install depend.

For more information about dependencies, see Role, Role Service, and Feature Dependencies in Server Manager.


Role, Role Service, and Feature Dependencies in Server Manager

This topic identifies the dependencies that server roles, role services, and features have on other roles, role services, and features in Windows Server® 2008.

Dependencies in Server Manager

Administrators can use the Server Manager wizards to install, configure, or remove roles, role services, and features. Many programs within roles, role services, and features are dependent upon other programs to run. A program that is dependent upon on another program is known, for the purposes of this topic, as a dependent. By contrast, a program upon which another program depends to run is an antecedent. For example, because the Active Directory Rights Management Services (AD RMS) role depends upon the Web Server (IIS) role, AD RMS is the dependent and Web Server (IIS) is the antecedent.

To install and run a dependent program, all its antecedents must also be installed. Some antecedents are simply child elements of the role, role service, or feature that is the dependent. In the Feature dependencies table later in this section, for example, .NET Framework 3.0 Features is the parent feature, and Windows Communication Foundation Activation Components is a sub-feature of .NET Framework 3.0 Features.

The tables in the following sections show the dependencies between technologies that you can install, manage, and remove by using Server Manager.

Role and role service dependencies

Feature dependencies

Role and role service dependencies

The following table identifies software upon which Windows Server 2008 roles and role services are dependent.

Dependent role or role service Antecedents

Active Directory Certificate Services

<none>
  • Certification Authority

<none>
  • Certification Authority Web Enrollment

Web Server (IIS)

  • Common HTTP Features

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

    • Static Content

  • Application Development

    • ASP

    • ISAPI Extensions

    • NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

    • Windows Authentication

  • Performance

    • Static Content Compression

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Online Responder

Web Server (IIS)

  • Common HTTP Features

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

    • Static Content

  • Application Development

    • ASP

    • ISAPI Extensions

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

  • Performance

    • Static Content Compression

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Network Device Enrollment Service

Web Server (IIS)

  • Common HTTP Features

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

    • Static Content

  • Application Development

    • .NET Extensibility

    • ISAPI Extensions

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

    • Windows Authentication

  • Performance

    • Static Content Compression

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

Active Directory Domain Services

<none>
  • Active Directory Domain Controller

<none>
  • Identity Management for UNIX

Active Directory Domain Controller
  • Server for Network Information Service

Active Directory Domain Controller
  • Password Synchronization

Active Directory Domain Controller
  • Administration Tools for Identity Management for UNIX

Active Directory Domain Controller

Active Directory Federation Services (AD FS)

<none>
  • Federation Service

Web Server (IIS)

  • Common HTTP Features

    • Default Document

  • Application Development

    • ASP.NET

    • .NET Extensibility

    • ISAPI Extensions

    • ISAPI Filters

  • Security

    • Request Filtering

    • Windows Authentication

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Federation Service Proxy

Web Server (IIS)

  • Common HTTP Features

    • Default Document

  • Application Development

    • ASP.NET

    • .NET Extensibility

    • ISAPI Extensions

    • ISAPI Filters

  • Security

    • Request Filtering

    • Windows Authentication

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • AD FS Web Agents

Web Server (IIS)

  • Common HTTP Features

    • Default Document

  • Application Development

    • ASP.NET

    • .NET Extensibility

    • ISAPI Extensions

    • ISAPI Filters

  • Security

    • Request Filtering

Management Tools

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Claims-aware Agent

Web Server (IIS)

  • Common HTTP Features

    • Default Document

  • Application Development

    • ASP.NET

    • .NET Extensibility

    • ISAPI Extensions

    • ISAPI Filters

  • Security

    • Request Filtering

    • Windows Authentication

Management Tools

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Windows Token-based Agent

Web Server (IIS)

  • Common HTTP Features

    • Default Document

  • Application Development

    • .NET Extensibility

    • ISAPI Extensions

    • ISAPI Filters

  • Security

    • Request Filtering

    • Windows Authentication

Management Tools

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

Active Directory Lightweight Directory Services

<none>

Active Directory Rights Management Services (AD RMS)

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

Web Server (IIS)

  • Common HTTP Features

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

    • Static Content

  • Application Development

    • ASP.NET

    • ISAPI Extensions

    • ISAPI Filters

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

    • Windows Authentication

  • Performance

    • Static Content Compression

  • Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 WMI Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Active Directory Rights Management Services (AD RMS) Server

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

Web Server (IIS)

  • Common HTTP Features

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

    • Static Content

  • Application Development

    • ASP.NET

    • ISAPI Extensions

    • ISAPI Filters

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

    • Windows Authentication

  • Performance

    • Static Content Compression

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 WMI Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Identity Federation Support

Active Directory Federation Services

  • AD FS Web Agents

    • Claims-aware Agent

Active Directory Rights Management Services (AD RMS)

  • Active Directory Rights Management Services (AD RMS) Server

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

Web Server (IIS)

  • Common HTTP Features

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

    • Static Content

  • Application Development

    • ASP.NET

    • ISAPI Extensions

    • ISAPI Filters

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

    • Windows Authentication

  • Performance

    • Static Content Compression

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 WMI Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

Application Server

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Web Server (IIS) Support

Application Server

  • Application Server Foundation

  • Windows Process Activation Service Support

    • HTTP Activation

.NET Framework 3.0 Features

  • .NET Framework 3.0

  • Windows Communication Foundation Activation Components

  • HTTP Activation

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ASP.NET

    • .NET Extensibility

    • ISAPI Extensions

    • ISAPI Filters

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Basic Authentication

    • Windows Authentication

    • Digest Authentication

    • Client Certificate Mapping Authentication

    • IIS Client Certificate Mapping Authentication

    • URL Authorization

    • Request Filtering

    • IP and Domain Restrictions

  • Performance

    • Static Content Compression

    • Dynamic Content Compression

Web Server (IIS) Management Tools

  • IIS Management Console

  • IIS Management Scripts and Tools

  • Management Service

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • COM+ Network Access

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • TCP Port Sharing

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Windows Process Activation Service Support

Application Server

  • Application Server Foundation

  • TCP Port Sharing

.NET Framework 3.0 Features

  • .NET Framework 3.0

  • Windows Communication Foundation Activation Components

    • HTTP Activation

    • Non-HTTP Activation

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

Web Server (IIS)

  • Application Development

    • .NET Extensibility

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • HTTP Activation

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

  • Windows Communication Foundation Activation Components

    • HTTP Activation

Web Server (IIS)

  • Application Development

    • .NET Extensibility

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Message Queuing Activation

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

  • Windows Communication Foundation Activation Components

    • Non-HTTP Activation

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • TCP Activation

Application Server

  • Application Server Foundation

  • TCP Port Sharing

.NET Framework 3.0 Features

  • .NET Framework 3.0

  • Windows Communication Foundation Activation Components

    • Non-HTTP Activation

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Named Pipes Activation

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

  • Windows Communication Foundation Activation Components

    • Non-HTTP Activation

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Distributed Transactions

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Incoming Remote Transactions

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Outgoing Remote Transactions

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

.NET Environment
  • WS-Atomic Transactions

Application Server

  • Application Server Foundation

.NET Framework 3.0 Features

  • .NET Framework 3.0

Windows Process Activation Service

  • Process Model

  • Configuration APIs

.NET Environment

DHCP Server

<none>

DNS Server

<none>

Fax Server

Print Services

  • Print Server

File Services

<none>
  • File Server

<none>
  • Distributed File System

<none>
  • DFS Namespaces

<none>
  • DFS Replication

<none>
  • File Server Resource Manager

<none>
  • Services for Network File System

<none>
  • Single Instance Store

<none>
  • Windows Search Service

<none>
  • Windows Server 2003 File Services

<none>
  • File Replication Service

<none>
  • Indexing Service

<none>

Network Policy and Access Services

<none>
  • Network Policy Server

<none>
  • Routing and Remote Access Services

<none>
  • Remote Access Service

<none>
  • Routing

<none>
  • Health Registration Authority

Network Policy and Access Services

  • Network Policy Server

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ISAPI Extensions

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Windows Authentication

    • Client Certificate Mapping Authentication

  • Performance

    • Static Content Compression

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 Scripting Tools

    • IIS 6 WMI Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs
  • Host Credential Authorization Protocol

Network Policy and Access Services

  • Network Policy Server

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ISAPI Extensions

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Basic Authentication

    • Digest Authentication

    • Client Certificate Mapping Authentication

    • IIS Client Certificate Mapping Authentication

  • Performance

    • Static Content Compression

Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 WMI Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

Print Services

<none>
  • Print Server

<none>
  • LPD Service

<none>
  • Internet Printing

Print Services

  • Print Server

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ASP

    • ISAPI Extensions

    • ISAPI Filters

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Basic Authentication

    • Windows Authentication

    • Request Filtering

  • Performance

    • Static Content Compression

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

Terminal Services

<none>
  • Terminal Server

<none>
  • TS Licensing

<none>
  • TS Session Broker

<none>
  • TS Gateway

Network Policy and Access Services

  • Network Policy Server

RPC over HTTP Proxy

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ISAPI Extensions

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Basic Authentication

    • Windows Authentication

    • Client Certificate Mapping Authentication

  • Performance

    • Static Content Compression

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs
  • TS Web Access

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ASP.NET

    • ISAPI Extensions

    • ISAPI Filters

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Windows Authentication

    • Request Filtering

  • Performance

    • Static Content Compression

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

UDDI Services

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ASP.NET

    • ISAPI Extensions

    • ISAPI Filters

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Basic Authentication

    • Windows Authentication

    • Request Filtering

  • Performance

    • Static Content Compression

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • UDDI Services Database

Windows Internal Database
  • UDDI Services Web Application

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ASP.NET

    • ISAPI Extensions

    • ISAPI Filters

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Basic Authentication

    • Windows Authentication

    • Request Filtering

  • Performance

    • Static Content Compression

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

Web Server (IIS)

Windows Process Activation Service

  • Process Model

  • Configuration APIs
  • Web Server

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

  • Health and Diagnostics

    • HTTP Logging

    • Request Monitor

  • Security

    • Request Filtering

  • Performance

    • Static Content Compression

Windows Process Activation Service

  • Process Model
  • Common HTTP Features

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

Windows Process Activation Service

  • Process Model
  • Static Content

Windows Process Activation Service

  • Process Model
  • Default Document

Windows Process Activation Service

  • Process Model
  • Directory Browsing

Windows Process Activation Service

  • Process Model
  • HTTP Errors

Windows Process Activation Service

  • Process Model
  • HTTP Redirection

Windows Process Activation Service

  • Process Model
  • Application Development

Web Server (IIS)

  • Common HTTP Features

    • Default Document

  • Application Development

    • ASP.NET

    • .NET Extensibility

    • ASP

    • CGI

    • ISAPI Extensions

    • ISAPI Filters

    • Server Side Includes

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • .NET Environment
  • ASP.NET

Web Server (IIS)

  • Common HTTP Features

    • Default Document

  • Application Development

    • .NET Extensibility

    • ISAPI Extensions

    • ISAPI Filters

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • .NET Environment
  • .NET Extensibility

Web Server (IIS)

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • .NET Environment
  • ASP

Web Server (IIS)

  • Application Development

    • ISAPI Extensions

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model
  • CGI

Windows Process Activation Service

  • Process Model
  • ISAPI Extensions

Windows Process Activation Service

  • Process Model
  • ISAPI Filters

Windows Process Activation Service

  • Process Model
  • Server Side Includes

Windows Process Activation Service

  • Process Model
  • Health and Diagnostics

Web Server (IIS)

  • Health and Diagnostics

    • HTTP Logging

    • Request Monitor

Windows Process Activation Service

  • Process Model
  • HTTP Logging

Windows Process Activation Service

  • Process Model
  • Logging Tools

Windows Process Activation Service

  • Process Model
  • Request Monitor

Windows Process Activation Service

  • Process Model
  • Tracing

Windows Process Activation Service

  • Process Model
  • Custom Logging

Windows Process Activation Service

  • Process Model
  • ODBC Logging

Windows Process Activation Service

  • Process Model
  • Security

Web Server (IIS)

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model
  • Basic Authentication

Windows Process Activation Service

  • Process Model
  • Windows Authentication

Windows Process Activation Service

  • Process Model
  • Digest Authentication

Windows Process Activation Service

  • Process Model
  • Client Certificate Mapping Authentication

Windows Process Activation Service

  • Process Model
  • IIS Client Certificate Mapping Authentication

Windows Process Activation Service

  • Process Model
  • URL Authorization

Windows Process Activation Service

  • Process Model
  • Request Filtering

Windows Process Activation Service

  • Process Model
  • IP and Domain Restrictions

Windows Process Activation Service

  • Process Model
  • Performance

Web Server (IIS)

  • Performance

    • Static Content Compression

Windows Process Activation Service

  • Process Model
  • Static Content Compression

Windows Process Activation Service

  • Process Model
  • Dynamic Content Compression

Windows Process Activation Service

  • Process Model
  • Web Server (IIS) Management Tools

Web Server (IIS)

  • Management Tools

    • IIS Management Console

Windows Process Activation Service

  • Configuration APIs
  • IIS Management Console

Windows Process Activation Service

  • Configuration APIs
  • IIS Management Scripts and Tools

<none>
  • Management Service

Web Server (IIS)

  • Management Tools

    • IIS Management Console

Windows Process Activation Service

  • Configuration APIs

  • .NET Environment
  • IIS 6 Management Compatibility

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 WMI Compatibility

    • IIS 6 Scripting Tools

    • IIS 6 Management Console
  • IIS 6 Metabase Compatibility

<none>
  • IIS 6 WMI Compatibility

<none>
  • IIS 6 Scripting Tools

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 WMI Compatibility
  • IIS 6 Management Console

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility
  • FTP Publishing Service

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • FTP Publishing Service

    • FTP Server

    • FTP Management Console
  • FTP Server

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility
  • FTP Management Console

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

Windows Deployment Services

Windows Deployment Services

  • Deployment Server

  • Transport Server
  • Deployment Server

Windows Deployment Services

  • Transport Server
  • Transport Server

<none>

Feature dependencies

The following table identifies software upon which Windows Server 2008 features are dependent.

Dependent Feature or Sub-feature Antecedents

.NET Framework 3.0 Features

.NET Framework 3.0 Features

  • XPS Viewer

  • Windows Communication Foundation Activation Components

    • HTTP Activation

    • Non-HTTP Activation

  • Web Server (IIS)

  • Application Development

    • .NET Extensibility

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • .NET Framework 3.0

<none>
  • XPS Viewer

.NET Framework 3.0 Features
  • Windows Communication Foundation Activation Components

.NET Framework 3.0 Features

  • Windows Communication Foundation Activation Components

    • HTTP Activation

    • Non-HTTP Activation

  • Web Server (IIS)

  • Application Development

    • .NET Extensibility

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • HTTP Activation

.NET Framework 3.0 Features

  • Windows Communication Foundation Activation Components

    • HTTP Activation

    • Non-HTTP Activation

  • Web Server (IIS)

  • Application Development

    • .NET Extensibility

  • Security

    • Request Filtering

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Non-HTTP Activation

.NET Framework 3.0 Features

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

BitLocker Drive Encryption

<none>

BITS Server Extensions

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ISAPI Extensions

    • NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

  • Performance

    • Static Content Compression

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment

Connection Manager Administration Kit

<none>

Desktop Experience

<none>

Failover Clustering

<none>

File Server Resource Manager

<none>

Group Policy Management

<none>

Indexing Service

<none>

Internet Printing Client

<none>

Internet Storage Naming Server

<none>

LPR Port Monitor

<none>

Message Queuing
  • Message Queuing Services

  • Message Queuing Server
  • Message Queuing Services

Message Queuing Server
  • Message Queuing Server

<none>
  • Directory Service Integration

Message Queuing

  • Message Queuing Services

    • Message Queuing Server
  • Message Queuing Triggers

Message Queuing Services

  • Message Queuing Server
  • HTTP Support

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ISAPI Extensions

    • .NET Extensibility

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Request Filtering

  • Performance

    • Static Content Compression

webiis Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

  • .NET Environment
  • Multicasting Support

Message Queuing

  • Message Queuing Services

    • Message Queuing Server
  • Routing Service

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

    • Directory Service Integration
  • Windows 2000 Client Support

Message Queuing

  • Message Queuing Services

    • Message Queuing Server

    • Directory Service Integration
  • Message Queuing DCOM Proxy

<none>

Multipath I/O

<none>

Network Load Balancing

<none>

Peer Name Resolution Protocol

<none>

Quality Windows Audio Video Experience

<none>

Remote Assistance

<none>

Remote Server Administration Tools (container node only, no dependencies)

Note

The dependencies list for Remote Server Administration Tools shows only the remote management tools that are selected by default when the Remote Server Administration Tools container node is selected. For example, nodes within Remote Server Administration Tools for the roles Active Directory Certificate Services and Active Directory Lightweight Directory Services are selected by default, along with all other roles manageable by using Remote Server Administration Tools. However, only the remote management tools are installed, not the roles, role services, or features.
  • Role Administration Tools

Note

The roles, role services, and features in this list are not required to run Remote Server Administration Tools. This list shows remote management tools that are selected by default when the container node for Remote Server Administration Tools is selected.

  • Active Directory Certificate Services

    • Active Directory Certificate Services Management

    • Online Responder Management

  • Active Directory Domain Services

  • Active Directory Lightweight Directory Services

  • Active Directory Rights Management Services (AD RMS)

  • DHCP Server

  • DNS Server

  • Fax Server

  • File Services

    • DFS Management Console

    • File Server Resource Manager

    • Services for Network File System

  • Network Policy and Access Services

    • Network Policy Server

    • Health Registration Authority

  • Print Services

  • Terminal Services

    • TS RemoteApp Manager

    • TS Gateway Manager

    • TS Licensing Manager

  • UDDI Services

  • Web Server (IIS)

  • Windows Deployment Services

Feature Administration Tools

  • BitLocker Drive Encryption

  • BITS Server Extensions

  • Failover Clustering

  • Network Load Balancing

  • SMTP Server

  • Windows System Resource Manager

  • WINS Server

Web Server (IIS) Management Tools (Web Server (IIS) role services are antecedents of both WINS Server and BITS Server Extensions remote management tools.)

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 Management Console

  • IIS Management Console

Windows Process Activation Service (Windows Process Activation Service and its sub-features are antecedents of the BITS Server Extensions and Web Server (IIS) remote management tools.)

  • Configuration APIs

Remote Server Administration Tools Role Administration Tools

Remote Server Administration Tools -- Role Administration Tools

  • Active Directory Certificate Services

    • Active Directory Certificate Services Management

    • Online Responder Management

  • Active Directory Domain Services

  • Active Directory Lightweight Directory Services

  • Active Directory Rights Management Services

  • DHCP Server

  • DNS Server

  • Fax Server

  • File Services

    • DFS Management Console

    • File Server Resource Manager

    • Services for Network File System

  • Network Policy and Access Services

    • Network Policy Server

    • Health Registration Authority

  • Print Services

  • Terminal Services

    • TS RemoteApp Manager

    • TS Gateway Manager

    • TS Licensing Manager

  • UDDI Services

  • Web Server (IIS)

  • Windows Deployment Services

Windows Process Activation Service (Windows Process Activation Service and its sub-features are antecedents of the Web Server (IIS) remote management tools.)

  • Configuration APIs
  • Active Directory Certificate Services

Remote Server Administration Tools

Role Administration Tools

  • Active Directory Certificate Services

    • Active Directory Certificate Services Management

    • Online Responder Management
  • Active Directory Certificate Services Management

<none>
  • Online Responder Management

<none>
  • Active Directory Domain Services

<none>
  • Active Directory Lightweight Directory Services

<none>
  • Active Directory Rights Management Services (AD RMS)

<none>
  • DNS Server

<none>
  • DHCP Server

<none>
  • Fax Server

<none>
  • File Services

Remote Server Administration Tools

Role Administration Tools

  • File Services

    • DFS Management Console

    • File Server Resource Manager

    • Services for Network File System
  • DFS Management Console

<none>
  • File Server Resource Manager

<none>
  • Services for Network File System

<none>
  • Network Policy and Access Services

Remote Server Administration Tools

Role Administration Tools

  • Network Policy and Access Services

    • Network Policy Server

    • Health Registration Authority
  • Network Policy Server

<none>
  • Health Registration Authority

<none>
  • Print Services

<none>
  • Terminal Services

Remote Server Administration Tools

Role Administration Tools

  • Terminal Services

    • TS RemoteApp Manager

    • TS Gateway Manager

    • TS Licensing Manager

  • TS RemoteApp Manager

<none>
  • TS Gateway Manager

<none>
  • TS Licensing Manager

<none>
  • UDDI Services

<none>
  • Web Server (IIS)

Windows Process Activation Service

  • Configuration APIs
  • Windows Deployment Services

<none>

Feature Administration Tools

Remote Server Administration Tools

  • Feature Administration Tools

    • BitLocker Drive Encryption

    • BITS Server Extensions

    • Failover Clustering

    • Network Load Balancing

    • SMTP Server

    • Windows System Resource Manager

    • WINS Server

Web Server (IIS) Management Tools (antecedent of BITS Server Extensions and SMTP Server remote management tools)

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 Management Console

  • IIS Management Console

Windows Process Activation Service (antecedent of BITS Server Extensions and SMTP Server remote management tools)

  • Configuration APIs
  • BitLocker Drive Encryption

<none>
  • BITS Server Extensions

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 Management Console

  • IIS Management Console

Windows Process Activation Service

  • Configuration APIs
  • Failover Clustering

<none>
  • Network Load Balancing

<none>
  • SMTP Server

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

    • IIS 6 Management Console
  • Windows System Resource Manager

<none>
  • WINS Server

<none>
  • Removable Storage Manager

<none>
  • RPC over HTTP Proxy

Web Server (IIS)

  • Common HTTP Features

    • Static Content

    • Default Document

    • Directory Browsing

    • HTTP Errors

    • HTTP Redirection

  • Application Development

    • ISAPI Extensions

  • Health and Diagnostics

    • HTTP Logging

    • Logging Tools

    • Request Monitor

    • Tracing

  • Security

    • Basic Authentication

    • Windows Authentication

    • Client Certificate Mapping Authentication

  • Performance

    • Static Content Compression

Web Server (IIS) Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS Management Console

Windows Process Activation Service

  • Process Model

  • Configuration APIs

Services for Network File System

<none>

Simple TCP/IP Services

<none>

SMTP Server

Web Server (IIS)

  • Management Tools

  • IIS 6 Management Compatibility

    • IIS 6 Metabase Compatibility

  • IIS 6 Management Console

SNMP Services

<none>
  • SNMP Service

<none>
  • SNMP WMI Provider

<none>

Storage Manager for SANs

<none>

Subsystem for UNIX-based Applications

<none>

Telnet Client

<none>

Telnet Server

<none>

TFTP Client

<none>

Windows Internal Database

<none>

Windows PowerShell

<none>

Windows Process Activation Service

Windows Process Activation Service

  • Process Model
  • Process Model

<none>
  • .NET Environment

<none>
  • Configuration APIs

<none>

Windows Server Backup

<none>

Windows System Resource Manager

Windows Internal Database

WINS Server

<none>

Wireless LAN Service

<none>


Adding Server Roles and Features

Windows Server® 2008 eases the task of managing and securing multiple server roles in an enterprise with the new Server Manager console. Server Manager in Windows Server 2008 provides a single source for managing a server's identity and system information, displaying server status, identifying problems with server role configuration, and managing all roles installed on the server.

How Server Manager Streamlines Server Administration

Server Manager makes server administration more efficient by allowing administrators to do the following by using a single tool:

  • View and make changes to server roles and features installed on the server.

  • Perform management tasks associated with the operational lifecycle of the server, such as starting or stopping services, and managing local user accounts.

  • Perform management tasks associated with the operational lifecycle of roles installed on the server.

  • Determine server status, identify critical events, and analyze and troubleshoot configuration issues or failures.

How to Add Roles to Your Server

In Windows Server 2008, you can add roles to your server by using the Add Roles Wizard. You can start the Add Roles Wizard from either the Initial Configuration Tasks window or from within Server Manager.

Roles Available for Installation in This Release

The following roles are available for installation by opening the Add Roles Wizard, either from the Initial Configuration Tasks window, or from within Server Manager.

Note

This list of roles may have been updated since this content was published. To check for updates, see the Windows Server 2008 TechCenter (http://go.microsoft.com/fwlink/?LinkId=48541).

Role Name Description

Active Directory® Certificate Services

Active Directory® Certificate Services provides customizable services for creating and managing public key certificates used in software security systems employing public key technologies. Organizations can use Active Directory Certificate Services to enhance security by binding the identity of a person, device, or service to a corresponding private key. Active Directory Certificate Services also includes features that allow you to manage certificate enrollment and revocation in a variety of scalable environments.

Applications supported by Active Directory Certificate Services include Secure/Multipurpose Internet Mail Extensions (S/MIME), secure wireless networks, virtual private networks (VPN), Internet Protocol security (IPsec), Encrypting File System (EFS), smart card logon, Secure Socket Layer/Transport Layer Security (SSL/TLS), and digital signatures.

For more information about Active Directory® Certificate Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48545).

Active Directory Domain Services

Active Directory Domain Services (AD DS) stores information about users, computers, and other devices on the network. AD DS helps administrators securely manage this information and facilitates resource sharing and collaboration between users. AD DS is also required to be installed on the network in order to install directory-enabled applications such as Microsoft Exchange Server and for applying other Windows Server technologies such as Group Policy.

For more information about AD DS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48547).

Active Directory Federation Services

Active Directory Federation Services (AD FS) provides Web single-sign-on (SSO) technologies to authenticate a user to multiple Web applications using a single user account. AD FS accomplishes this by securely federating, or sharing, user identities and access rights, in the form of digital claims, between partner organizations.

For more information about AD FS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48542).

Active Directory Lightweight Directory Services

Organizations that have applications which require a directory for storing application data can use Active Directory Lightweight Directory Services (AD LDS) as the data store. AD LDS runs as a non-operating-system service, and, as such, it does not require deployment on a domain controller. Running as a non-operating-system service allows multiple instances of AD LDS to run concurrently on a single server, and each instance can be configured independently for servicing multiple applications.

For more information about AD LDS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48543).

Active Directory Rights Management Services (AD RMS)

Active Directory Rights Management Services (AD RMS) (AD RMS) is information protection technology that works with AD RMS -enabled applications to help safeguard digital information from unauthorized use. Content owners can define exactly how a recipient can use the information, such as who can open, modify, print, forward, and/or take other actions with the information. Organizations can create custom usage rights templates such as "Confidential - Read Only" that can be applied directly to information such as financial reports, product specifications, customer data, and e-mail messages.

For more information about AD RMS, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48554).

Application Server

Application Server provides a complete solution for hosting and managing high-performance distributed business applications. Integrated services, such as the .NET Framework, Web Server Support, Message Queuing, COM+, Windows Communication Foundation, and Failover Clustering support boost productivity throughout the application life cycle, from design and development through deployment and operations.

For more information about Application Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48544).

Dynamic Host Configuration Protocol (DHCP) Server

The Dynamic Host Configuration Protocol allows servers to assign, or lease, IP addresses to computers and other devices that are enabled as DHCP clients. Deploying DHCP servers on the network automatically provides computers and other TCP/IP based network devices with valid IP addresses and the additional configuration parameters these devices need, called DHCP options, that allow them to connect to other network resources, such as DNS servers, WINS servers, and routers.

For more information about DHCP Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48546).

DNS Server

Domain Name System (DNS) provides a standard method for associating names with numeric Internet addresses. This makes it possible for users to refer to network computers by using easy-to-remember names instead of a long series of numbers. Windows DNS services can be integrated with Dynamic Host Configuration Protocol (DHCP) services on Windows, eliminating the need to add DNS records as computers are added to the network.

For more information about DNS Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48548).

Fax Server

Fax Server sends and receives faxes, and allows you to manage fax resources such as jobs, settings, reports, and fax devices on this computer or on the network.

For more information about Fax Server, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48549).

File Services

File Services provides technologies for storage management, file replication, distributed namespace management, fast file searching, and streamlined client access to files.

For more information about File Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48550).

Network Policy and Access Services

Network Policy and Access Services delivers a variety of methods to provide users with local and remote network connectivity, to connect network segments, and to allow network administrators to centrally manage network access and client health policies. With Network Access Services, you can deploy VPN servers, dial-up servers, routers, and 802.11 protected wireless access. You can also deploy RADIUS servers and proxies, and use Connection Manager Administration Kit to create remote access profiles that allow client computers to connect to your network.

For more information about Network Policy and Access Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48552).

Print Services

Print Services enables the management of print servers and printers. A print server reduces administrative and management workload by centralizing printer management tasks.

For more information about Print Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48553).

Terminal Services

Terminal Services provides technologies that enable users to access Windows-based programs that are installed on a terminal server, or to access the Windows desktop itself, from almost any computing device. Users can connect to a terminal server to run programs and to use network resources on that server.

For more information about Terminal Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48555).

Universal Description, Discovery, and Integration (UDDI) Services

UDDI Services provides Universal Description, Discovery, and Integration (UDDI) capabilities for sharing information about Web services within an organization's intranet, between business partners on an extranet, or on the Internet. UDDI Services can help improve the productivity of developers and IT professionals with more reliable and manageable applications. With UDDI Services you can prevent duplication of effort by promoting reuse of existing development work.

For more information about UDDI Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48556).

Web Server (IIS)

Web Server (IIS) enables sharing of information on the Internet, an intranet, or an extranet. It is a unified Web platform that integrates IIS 7.0, ASP.NET, and Windows Communication Foundation. IIS 7.0 also features enhanced security, simplified diagnostics, and delegated administration.

For more information about Web Server (IIS), see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48558).

Windows Deployment Services

You can use Windows Deployment Services to install and configure Microsoft® Windows operating systems remotely on computers with Pre-boot Execution Environment (PXE) boot ROMs. Administration overhead is decreased through the implementation of the WdsMgmt Microsoft Management Console (MMC) snap-in, which manages all aspects of Windows Deployment Services. Windows Deployment Services also provides end-users an experience consistent with Windows Setup.

For more information about Windows Deployment Services, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48559).

Hyper-V™

Hyper-V provides the services that you can use to create and manage virtual machines and their resources. Each virtual machine is a virtualized computer system that operates in an isolated execution environment. This allows you to run multiple operating systems simultaneously.

For more information about Hyper-V, see the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=48557).

The Add Roles Wizard

The Add Roles Wizard simplifies the process of installing roles on your server, and allows you to install multiple roles at one time. Earlier versions of the Windows operating system required administrators to run Add or Remove Windows Components multiple times to install all the roles, role services, and features needed on a server. Server Manager replaces Add or Remove Windows Components, and a single session in the Add Roles Wizard can complete the configuration of your server.

The Add Roles Wizard verifies that all of the software components required by a role install with any role you select in the wizard. If necessary, the wizard prompts you to approve the installation of other roles, role services, or software components that are required by roles you select.

Most roles and role services that are available for installation require you to make decisions during the installation process that determine how the role operates in your enterprise. Examples include Active Directory Federation Services (ADFS), which requires the installation of a certificate; or Domain Name System (DNS), which requires you to provide a fully qualified domain name (FQDN).

Before you install a role on your server, it is recommended that you read documentation specific to the planning, deployment and operation of the role, available on the Microsoft Web site.

To start the Add Roles Wizard

  • In the Roles Summary area of the Server Manager main window, click Add Roles.

    -- or --

    In the Customize this server area of the Initial Configuration Tasks window, click Add Roles.

    Notes
    • The Initial Configuration Tasks window opens by default when a member of the Administrators group logs on to the computer.
    • Server Manager opens when the Initial Configuration Tasks window is closed. You can also open Server Manager by using shortcuts on the Start menu or in Administrative Tools.

How to Add Features to Your Server

In Windows Server 2008, you can add available features to your server by using the Add Features Wizard.

Adding Features to Your Server by Using the Add Features Wizard

Adding Features to Your Server by Using the Add Features Wizard

You can add the following features by using the Add Features Wizard.

Feature | Description
.NET Framework 3.0 | .NET Framework 3.0 combines the power of the .NET Framework 2.0 APIs with new technologies for building applications that offer appealing user interfaces, protect your customers’ personal identity information, enable seamless and secure communication, and provide the ability to model a range of business processes.
BitLocker Drive Encryption | BitLocker Drive Encryption helps to protect data on lost, stolen or inappropriately decommissioned computers by encrypting the entire volume and checking the integrity of early boot components. Data is only decrypted if those components are successfully verified and the encrypted drive is located in the original computer. Integrity checking requires a compatible trusted platform module (TPM).
BITS Server Extensions | Background Intelligent Transfer Service (BITS) Server Extensions allow a server to receive files uploaded by clients using BITS. BITS allows client computers to transfer files in the foreground or background asynchronously, preserve the responsiveness of other network applications, and resume file transfers after network failures and computer restarts.
Connection Manager Administration Kit | Connection Manager Administration Kit (CMAK) generates Connection Manager profiles.
Desktop Experience | Desktop Experience includes features of Windows Vista®, such as Windows Media Player, desktop themes, and photo management. Desktop Experience does not enable any of the Windows Vista features by default; you must manually enable them.
Group Policy Management | Group Policy Management makes it easier to understand, deploy, manage, and troubleshoot Group Policy implementations. The standard tool is Group Policy Management Console (GPMC), a scriptable Microsoft Management Console (MMC) snap-in that provides a single administrative tool for managing Group Policy across the enterprise.
Internet Printing Client | Internet Printing Client allows you to use HTTP to connect to and use printers that are on Web print servers. Internet printing enables connections between users and printers that are not on the same domain or network. Examples of uses include a traveling employee at a remote office site, or in a coffee shop equipped with Wi-Fi access.
Internet Storage Name Server (iSNS) | Internet Storage Name Server (iSNS) provides discovery services for Internet Small Computer System Interface (iSCSI) storage area networks. iSNS processes registration requests, deregistration requests, and queries from iSNS clients.
LPR Port Monitor | Line Printer Remote (LPR) Port Monitor allows users who have access to UNIX-based computers to print on devices attached to them.
Message Queuing | Message Queuing provides guaranteed message delivery, efficient routing, security, and priority-based messaging between applications. Message Queuing also accommodates message delivery between applications that run on different operating systems, use dissimilar network infrastructures, are temporarily offline, or that are running at different times.
Multipath I/O | Multipath I/O (MPIO), along with the Microsoft Device Specific Module (DSM) or a third-party DSM, provides support for using multiple data paths to a storage device on Microsoft Windows.
Peer Name Resolution Protocol | Peer Name Resolution Protocol (PNRP) allows applications to register on and resolve names from your computer, so other computers can communicate with these applications.
Quality Windows Audio Video Experience (qWave) | Quality Windows Audio Video Experience (qWave) is a networking platform for audio and video (AV) streaming applications on Internet protocol home networks. qWave enhances AV streaming performance and reliability by ensuring network quality-of-service for AV applications. It provides admission control, run time monitoring and enforcement, application feedback, and traffic prioritization. On Windows Server platforms, qWave provides only rate-of-flow and prioritization services.
Remote Assistance | Remote Assistance enables you (or a support person) to offer assistance to users with computer issues or questions. Remote Assistance allows you to view and share control of the user’s desktop in order to troubleshoot and fix the issues. Users can also ask for help from friends or co-workers.
Remote Differential Compression | The Remote Differential Compression (RDC) feature is a set of application programming interfaces (APIs) that applications can use to determine if a set of files have changed, and if so, to detect which portions of the files contain the changes.
Remote Server Administration Tools | Remote Server Administration Tools enables remote management of Windows Server 2003 and Windows Server 2008 from a computer running Windows Server 2008 by allowing you to run some of the management tools for roles, role services, and features on a remote computer.
Removable Storage Manager | Removable Storage Manager (RSM) manages and catalogs removable media and operates automated removable media devices.
RPC Over HTTP Proxy | RPC Over HTTP Proxy is a proxy that is used by objects that receive remote procedure calls (RPC) over Hypertext Transfer Protocol (HTTP). This proxy allows clients to discover these objects even if the objects are moved between servers or if they exist in discrete areas of the network, usually for security reasons.
Services for NFS | Services for Network File System (NFS) is a protocol that acts as a distributed file system, allowing a computer to access files over a network as easily as if they were on its local disks. This feature is available for installation in Windows Server 2008 for Itanium-based Systems only; in other versions of Windows Server 2008, Services for NFS is available as a role service of the File Services role.
SMTP Server | SMTP Server supports the transfer of e-mail messages between e-mail systems.
Storage Manager for SANs | Storage Manager for Storage Area Networks (SANs) helps you create and manage logical unit numbers (LUNs) on Fibre Channel and iSCSI disk drive subsystems that support Virtual Disk Service (VDS) in your SAN.
Simple TCP/IP Services | Simple TCP/IP Services supports the following TCP/IP services: Character Generator, Daytime, Discard, Echo and Quote of the Day. Simple TCP/IP Services is provided for backward compatibility and should not be installed unless it is required.
SNMP Services | Simple Network Management Protocol (SNMP) is the Internet standard protocol for exchanging management information between management console applications—such as HP Openview, Novell NMS, IBM NetView, or Sun Net Manager—and managed entities. Managed entities can include hosts, routers, bridges, and hubs.
Subsystem for UNIX-based Applications | Subsystem for UNIX-based Applications (SUA), along with a package of support utilities available for download from the Microsoft Web site, enables you to run UNIX-based programs, and compile and run custom UNIX-based applications in the Windows environment.
Telnet Client | Telnet Client uses the Telnet protocol to connect to a remote telnet server and run applications on that server.
Telnet Server | Telnet Server allows remote users, including those running UNIX-based operating systems, to perform command-line administration tasks and run programs by using a telnet client.
Trivial File Transfer Protocol (TFTP) Client | Trivial File Transfer Protocol (TFTP) Client is used to read files from, or write files to, a remote TFTP server. TFTP is primarily used by embedded devices or systems that retrieve firmware, configuration information, or a system image during the boot process from a TFTP server.
Failover Clustering | Failover Clustering allows multiple servers to work together to provide high availability of services and applications. Failover Clustering is often used for file and print services, database and mail applications.
Network Load Balancing | Network Load Balancing (NLB) distributes traffic across several servers, using the TCP/IP networking protocol. NLB is particularly useful for ensuring that stateless applications, such as a Web server running Internet Information Services (IIS), are scaleable by adding additional servers as the load increases.
Windows Server Backup | Windows Server Backup allows you to back up and recover your operating system, applications, and data. You can schedule backups to run once a day or more often, and can protect the entire server or specific volumes.
Windows System Resource Manager | Windows System Resource Manager (WSRM) is a Windows Server operating system administrative tool that can control how CPU and memory resources are allocated. Managing resource allocation improves system performance and reduces the risk that applications, services, or processes will interfere with each other to reduce server efficiency and system response.
Windows Internet Name Service (WINS) Server | Windows Internet Name Service (WINS) Server provides a distributed database for registering and querying dynamic mappings of NetBIOS names for computers and groups used on your network. WINS maps NetBIOS names to IP addresses and solves the problems arising from NetBIOS name resolution in routed environments.
Wireless LAN Service | Wireless LAN (WLAN) Service configures and starts the WLAN AutoConfig service, regardless of whether the computer has any wireless adapters. WLAN AutoConfig enumerates wireless adapters, and manages both wireless connections and the wireless profiles that contain the settings required to configure a wireless client to connect to a wireless network.
Windows Internal Database | Windows Internal Database is a relational data store that can be used only by Windows roles and features, such as UDDI Services, Active Directory Rights Management Services (AD RMS), Windows Server Update Services, and Windows System Resource Manager.
Windows PowerShell | Windows PowerShell is a command line shell and scripting language that helps IT professionals achieve greater productivity. It provides a new administrator-focused scripting language and more than 130 standard command line tools to enable easier system administration and accelerated automation.
Windows Process Activation Service | Windows Process Activation Service (WAS) generalizes the IIS process model, removing the dependency on HTTP. All the features of IIS that were previously available only to HTTP applications are now available to applications hosting Windows Communication Foundation (WCF) services, using non-HTTP protocols. IIS 7.0 also uses WAS for message-based activation over HTTP.

Open the Add Features Wizard in one of the following two ways.

To start the Add Features Wizard

  • In the Features Summary area of the Server Manager main window, click Add Features.

    -- or --

    In the Customize this server area of the Initial Configuration Tasks window, click Add Features.

    Notes
    • The Initial Configuration Tasks window opens by default when a member of the Administrators group logs on to the computer.
    • Server Manager opens when the Initial Configuration Tasks window is closed. You can also open Server Manager by using shortcuts on the Start menu or in Administrative Tools.


Removing Server Roles and Features

Tools in Windows Server® 2008 allow you to remove server roles and features with ease. You can remove roles by using the Remove Roles Wizard, and features by using the Remove Features Wizard.

In this Section

How to Remove Roles from Your Server

How to Remove Features from Your Server

How to Remove Roles from Your Server

In Windows Server 2008, you can remove roles from your server by using the Remove Roles Wizard. You can start the Remove Roles Wizard from either the Initial Configuration Tasks window or from within Server Manager.

The Remove Roles Wizard

The Remove Roles Wizard simplifies the process of removing roles from your server, and allows you to remove multiple roles at one time. You no longer need to open Add or Remove Windows Components multiple times to remove more than one role, role service, or feature installed on your server. A single session in the Remove Roles Wizard can complete the configuration of your server.

Before removing any roles, the Remove Roles Wizard verifies that no software components required by any of the remaining roles are removed accidentally. If necessary, the wizard prompts you to approve the removal of other roles, role services, or software programs that are required by roles that remain installed. The risk of removing software upon which other roles depend is virtually eliminated.

To start the Remove Roles Wizard

  • In the Roles Summary area of the Server Manager main window, click Remove Roles.

    Notes
    • Server Manager opens by default when a member of the Administrators group logs on to the computer.
    • Server Manager also opens when the Initial Configuration Tasks window is closed. You can also open Server Manager by using shortcuts on the Start menu or in Administrative Tools.

How to Remove Features from Your Server

In Windows Server 2008, you can remove installed features from your server by using the Remove Features Wizard.

Removing Features from Your Server by Using the Remove Features Wizard

You can remove features by using the Remove Features Wizard.

To start the Remove Features Wizard

  • In the Features Summary area of the Server Manager main window, click Remove Features.

    Notes
    • Server Manager opens by default when a member of the Administrators group logs on to the computer.
    • Server Manager also opens by default when the Initial Configuration Tasks window is closed. You can also open Server Manager by using shortcuts on the Start menu or in Administrative Tools.


The Server Manager Main Window

The Server Manager main window allows you to view a detailed snapshot of your server's identity information, selected security configuration options, and installed roles and features.

The Resources and Support area of the Server Manager main window contains links that help you keep connected to the latest documentation and downloads, and allow you to participate in feedback programs that help improve future versions of Windows Server® 2008.

The Server Summary area

The Server Summary area displays details about your server that are particularly useful during troubleshooting, such as the computer's name and network addresses, and the product ID of the operating system running on the computer.

From the Server Summary area, you can view and modify network connections, modify system properties, and enable and configure Remote Desktop.

The Server Summary area contains the following collapsible sub-sections:

  • Computer Information

  • Security Information

Computer Information

The following table describes the information shown in the Computer Information section.

Field Text | Data Description
Full computer name: | Fully qualified domain name (FQDN) of target server
Domain (or Workgroup if the computer is not domain-joined): | Primary domain name server (DNS) suffix
<network connection name 1>: | IP address
<network connection name 2>: | IP address
<network connection name 3>: | IP address
Windows Product Activation status: | Number of days remaining to activate the server's Windows operating system
Product ID (if activated): | Product ID (not the Windows product key)

Security Information

The following table describes the information shown in the Security Information section.

Field Text | Data Description
Windows Firewall status | Shows whether Windows Firewall is enabled on the server.
Windows Update status | Shows whether the server is configured to download and install Windows software updates automatically
Last checked for updates | Shows the most recent day and time that the server has checked for software updates.
Last installed updates | Shows the most recent day and time that automatic software updates were installed.
IE Enhanced Security Configuration (ESC) | Shows whether Internet Explorer advanced security configuration is enabled for both members of the Administrators group and for other users.

From the Security Information area, you can also start the Security Configuration Wizard, which helps you create a security policy that can be applied to any server on your network. For more information about completing the Security Configuration Wizard, see Security Configuration Wizard documentation available at the Windows Server TechCenter (http://go.microsoft.com/fwlink/?LinkId=91742).

The Roles Summary area

The Roles Summary area of the Server Manager main window shows a list of all roles that are installed on the computer. The names of roles installed on the computer are displayed as hypertext; clicking a role name opens the Server Manager home page for managing the role.

To install additional roles, or remove existing roles, click the appropriate command in the right margin of the Roles Summary area.

The Go to Manage Roles command in this section opens the Roles home page, on which you can find more detail about installed roles, such as which role services for the role are installed, the role's operational status, and whether event messages about the role are available to read.

For more information about the Roles home page, see Role Home Pages.

The Features Summary area

The Features Summary area of the Server Manager home page header shows a list of all features that are installed on the computer.

To install additional features, or remove existing features, click the appropriate command in the right margin of the Features Summary area.

Adding and Removing Roles and Features

For information about how to add and remove roles, role services, and features, see Adding Server Roles and Features and Removing Server Roles and Features.


Server Manager and the Security Configuration Wizard

Although role, role service, and feature installations completed in Server Manager are secure by default, you can use the Security Configuration Wizard (SCW) to customize the security of roles, role services, and features in your enterprise.

How Server Manager works with the Security Configuration Wizard

Server Manager and SCW are similar in that they both use the same processes to accomplish the following tasks.

  • Server Manager and SCW both use the same Windows process to determine what roles, role services, and features are installed on a computer and are available for installation.

  • Server Manager and SCW both use the same default policies for services and firewall exceptions.

  • Both Server Manager and SCW use the same tools to determine how roles, role services, and features are dependent upon other roles, role services, and features to run.

Server Manager and SCW are complementary technologies in several ways, as described in the following sections. The focus of Server Manager is on shortening the amount of time it requires to deploy and repurpose servers, and enabling administrators to manage the typical daily operations of roles, role services, and features. SCW, by contrast, aids in the long-term prevention of events, user behaviors, and vulnerabilities that can lead to security failures such as unauthorized access to data.

Policy authoring

SCW allows administrators to define role-based security policies that can be applied to remote computers throughout an enterprise. Server Manager secures roles by default, and takes steps to ensure that remaining roles, role services, and features are secure after removing a role, role service, or feature from the computer, but administrators cannot use Server Manager directly to make custom security changes.

Auditing

SCW allows administrators to compare the current state of a computer's security to existing security policy to ensure policy compliance.

Although Server Manager can display Windows security logs by interfacing with Event Viewer, and show security options selected by administrators (such as whether Windows Firewall and Windows Update are enabled), Server Manager itself does not verify the security of roles, role services, and features after they are installed.

Security hardening

SCW enables fine-grained control over a computer's attack surface, and provides administrators with a scaled ability to harden a computer against attacks based on the security needs of their organization. Server Manager allows administrators to install roles, role services, and features that are secure by default and ready for deployment. In most cases, administrators do not need to run SCW to begin working with roles, role services, and features.

External roles, role services, and features

Server Manager can be used to manage only roles, role services, and features that are included on the Windows Server 2008 product disc. SCW can be used to secure both roles, role services, and features that are included with Windows Server 2008, and those roles, role services, and features not available for installation on the product disc, such as Microsoft SQL Server and Microsoft Exchange Server.

Extensibility

Server Manager cannot be used to install or create third-party roles, role services, and features. SCW offers a public schema for third-party software manufacturers to define new roles, role services, and features that can be secured by using SCW.

Additional references

For more information about the Security Configuration Wizard, see the Security Configuration Wizard Help, scwhelp.chm.


Roles Summary

The Roles Summary section

The Roles Summary section lists roles that are installed on the computer in alphabetical order. To the left of each role is an icon that displays the current general operational status of the role.

Clicking the name of the role in the Roles Summary section opens the home page for that role.

Commands in the margin of the Roles Summary section allow you to open the Roles page, add more roles, or remove installed roles.


Resources and Support

The Resources and Support section

The Resources and Support section of the Server Manager main window contains commands you can use to change your participation status in the Windows Server® 2008 feedback programs Customer Experience Improvement Program (CEIP) and Windows Error Reporting (WER).

For more information about participating in these programs, see Customer Experience Improvement Program and Windows Error Reporting.

You can find more assistance with managing and deploying your server by visiting the Windows Server® 2008 TechCenter Web site, a link to which is provided in the Resources and Support section.


Features Summary

In Windows Server® 2008, the Features Summary area includes a table listing installed features, and provides command links to add and remove features.

The Features Summary area

The Features Summary area of the Server Manager home page header shows a list of all features that are installed on the computer.

To install additional features, or remove existing features, click the appropriate command in the right margin of the Features Summary area.

Adding and Removing Features

For information about how to add and remove features, see Adding Server Roles and Features and Removing Server Roles and Features.


Customer Experience Improvement Program

Customer Experience Improvement Program

You can help Microsoft improve the quality, reliability, and performance of its operating systems by participating in the Microsoft Customer Experience Improvement Program.

If you accept, Microsoft Corporation collects statistical information about your system configuration, the performance of some components of Windows, and certain types of events. Windows periodically uploads a small file to Microsoft that contains a summary of the information collected. The file is transmitted by using the Internet.

The uploaded data contains no information that identifies you or your company. There are no surveys to complete, and it all happens automatically—you’re never interrupted. You should experience no loss in performance. If your computer is not connected to the Internet, the data is discarded. Microsoft does not share this information with other companies; it is used only by Microsoft in aggregate form for the purpose of improving our software for our customers.

To participate, follow the procedure in To enable the Customer Experience Improvement Program.

If you do not want to participate, follow the procedure in To disable the Customer Experience Improvement Program.

To enable the Customer Experience Improvement Program

You can enable the Customer Experience Improvement Program by using either Server Manager or Initial Configuration Tasks.

To enable the Customer Experience Improvement Program by using Server Manager

To enable the Customer Experience Improvement Program by using Initial Configuration Tasks

To enable the Customer Experience Improvement Program by using Server Manager

Perform the following steps to participate in the Customer Experience Improvement Program by using Server Manager.

To enable CEIP by using Server Manager

  1. Click Start.

  2. Go to Administrative Tools, and click Server Manager.

  3. Expand the Resources and Support area if it is not already open.

  4. Click Participate in CEIP to open the Customer Experience Improvement Program Configuration dialog box.

  5. Select Yes, I want to participate in the CEIP.

  6. Click OK.

To enable the Customer Experience Improvement Program by using Initial Configuration Tasks

Perform the following steps to participate in the Customer Experience Improvement Program by using Initial Configuration Tasks.

To enable CEIP by using Initial Configuration Tasks

  1. In the Update This Server section of the Initial Configuration Tasks window, click Enable automatic updating and feedback.

  2. On the Enable Windows Automatic Updating and Feedback dialog box, do one of the following.

    • Click Enable Windows automatic updating and feedback to participate in both the Customer Experience Improvement Program and Windows Error Reporting. Click Close. You have completed the procedure.

    • Click Manually configure settings to participate in only the Customer Experience Improvement Program or to change settings.

  3. If you selected Manually configure settings in the previous step, click Change Setting in the Customer Experience Improvement Program area of the Manually Configure Settings dialog box.

  4. On the Customer Experience Improvement Program Configuration dialog box, select Yes, I want to participate in the CEIP.

  5. Click OK.

To disable the Customer Experience Improvement Program

You can disable participation in the Customer Experience Improvement Program by using either Server Manager or Initial Configuration Tasks.

To disable the Customer Experience Improvement Program by using Server Manager

To disable the Customer Experience Improvement Program by using Initial Configuration Tasks

To disable the Customer Experience Improvement Program by using Server Manager

Perform the following steps in Server Manager if you do not want to participate in the Customer Experience Improvement Program.

To disable CEIP by using Server Manager

  1. Click Start.

  2. Go to Administrative Tools, and click Server Manager.

  3. Expand the Resources and Support area if it is not already open.

  4. Click Participate in CEIP to open the Customer Experience Improvement Program Configuration dialog box.

  5. Select No, I don't want to participate.

  6. Click OK.

To disable the Customer Experience Improvement Program by using Initial Configuration Tasks

Perform the following steps in Initial Configuration Tasks if you do not want to participate in the Customer Experience Improvement Program.

To disable CEIP by using Initial Configuration Tasks

  1. In the Update This Server section of the Initial Configuration Tasks window, click Enable automatic updating and feedback.

  2. On the Enable Windows Automatic Updating and Feedback dialog box, click Manually configure settings.

  3. Click Change Setting in the Customer Experience Improvement Program area of the Manually Configure Settings dialog box.

  4. On the Customer Experience Improvement Program Configuration dialog box, select No, I don't want to participate.

  5. Click OK.

Customer Experience Improvement Program Profile

If you participate in CEIP, you can add a profile that tells Microsoft more about the type of computing enterprise in which your server is deployed. Adding a profile is optional, but it provides richer data that helps Microsoft provide better solutions for your specific enterprise type.

Perform the following steps if you want to add a profile.

To add a CEIP profile

  1. In the Customer Experience Improvement Program Configuration dialog box, select the Yes, I want to participate Windows Server CEIP option.

  2. Use the drop-down menus to select the values that best represent your enterprise.

    • Number of servers your organization has worldwide. Select the numeric range that most accurately represents your organization's server count.

    • Number of desktop and portable PCs your organization has worldwide. Select the numeric range that most accurately represents your organization's combined desktop and laptop computer count.

    • Industry that best represents your organization. If your organization's industry is not closely represented by the options, select Other Services.

  3. Click OK.


Windows Error Reporting

Windows Error Reporting

By using Windows Error Reporting, Windows can send descriptions of problems on your server to Microsoft and look for steps you can take to solve them. Windows Error Reporting is enabled by default.

If you choose to send generic information automatically about a problem, Microsoft will send back either the most current solution or use the information to start working on a solution.

Read more about how your information is protected by our privacy policy at the Microsoft Online Crash Analysis Web site.

Windows Error Reporting advanced options

On the Windows Error Reporting Configuration dialog box, the following two options disable Windows Error Reporting:

  • I don't want to participate, and don't ask me again

    This option disables Windows Error Reporting, and prevents it from prompting you to send information about application failures to Microsoft.

  • Ask me about sending reports every time an error occurs

    This option disables Windows Error Reporting, but allows it to prompt you to send information about application failures to Microsoft whenever a failure occurs.

The following two options enable Windows Error Reporting. Each option provides a different level of detail in the information sent to Microsoft when failures occur.

  • Yes, automatically send detailed reports. Notify me if there are possible solutions to the problem.

    When this option is selected, if an application failure occurs, detailed reports are automatically sent to Microsoft. Portions of documents you were working on at the moment a program failed, or data you provided to Web sites or forms may be included in these reports. The contents of log files, and portions of the registry, may also be sent to Microsoft.

  • Yes, automatically send summary reports. Notify me if there are possible solutions to the problem.

    When this option is selected, if an application failure occurs, only non-personal data is sent to Microsoft. Data about your computer's configuration, the program in which you were working, and any operations that triggered the failure is sent to Microsoft.

How to enable Windows Error Reporting

In Windows Server® 2008, you can enable Windows Error Reporting in the following ways:

To enable Windows Error Reporting by using the Initial Configuration Tasks window

To enable Windows Error Reporting by using Server Manager

To enable Windows Error Reporting by using the Initial Configuration Tasks window

To enable Windows Error Reporting by using Initial Configuration Tasks

  1. If the Initial Configuration Tasks window is not already open, you can open it by clicking Start, clicking Run, typing oobe in the text box, and then clicking OK.

  2. Click Enable Windows automatic updating and feedback in the Update This Server area.

  3. Click Manually configure settings.

  4. In the Windows Error Reporting area of the Manually Configure Settings dialog box, click Change Setting.

  5. On the Windows Server Configuration dialog box, select one of the following options described in the previous section:

    • Yes, automatically send detailed reports

    • Yes, automatically send summary reports

  6. Click OK.

  7. On the Manually Configure Settings dialog box, click Close.

To enable Windows Error Reporting by using Server Manager

To enable Windows Error Reporting by using Server Manager

  1. Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager.

  2. Expand the Resources and Support area if it is not already open.

  3. Click Turn on Windows Error Reporting.

  4. On the Windows Error Reporting Configuration dialog box, select one of the following options, described in the previous section:

    • Yes, automatically send detailed reports

    • Yes, automatically send summary reports

  5. Click OK.

How to disable Windows Error Reporting

In Windows Server 2008, you can disable Windows Error Reporting in any of the following ways:

To disable Windows Error Reporting by using the Initial Configuration Tasks window

To disable Windows Error Reporting by using Server Manager

You can also enable or disable Windows Error Reporting by configuring its behavior using Group Policy. Use the Local Group Policy Editor when editing Local Group Policy or, use the Group Policy Management Console when editing domain-based Group Policy. You can locate these policy settings in Administrative Templates/Windows Components/Windows Error Reporting.

To disable Windows Error Reporting by using the Initial Configuration Tasks window

Perform the following steps from within the Initial Configuration Tasks window.

To disable Windows Error Reporting by using Initial Configuration Tasks

  1. If the Initial Configuration Tasks window is not already open, you can open it by clicking Start, clicking Run, typing oobe in the text box, and then clicking OK.

  2. Click Enable Windows automatic updating and feedback in the Update This Server area.

  3. Click Manually configure settings.

  4. In the Windows Error Reporting area of the Windows automatic updating and feedback dialog box, select Manually configure settings.

  5. In the Windows Error Reporting area of the Manually Configure Settings dialog box, click Change Setting.

  6. On the Windows Server Configuration dialog box, select one of the following options:

    • I don't want to participate, and don't ask me again

      This option disables Windows Error Reporting, and prevents it from prompting you to send information about application failures to Microsoft.

    • Ask me about sending reports every time an error occurs

      This option disables Windows Error Reporting, but allows it to prompt you to send information about application failures to Microsoft whenever a failure occurs.

  7. Click OK.

  8. On the Manually Configure Settings dialog box, click Close.

To disable Windows Error Reporting by using Server Manager

Perform the following steps to disable participation in Windows Error Reporting by using Server Manager.

To disable Windows Error Reporting by using Server Manager

  1. Open Server Manager by clicking Start, pointing to Administrative Tools, and then clicking Server Manager.

  2. Expand the Resources and Support area if it is not already open.

  3. Click Configure Windows Error Reporting.

  4. On the Windows Server Configuration dialog box, select one of the following options:

    • I don't want to participate, and don't ask me again

      This option disables Windows Error Reporting, and prevents it from prompting you to send information about application failures to Microsoft.

    • Ask me about sending reports every time an error occurs

      This option disables Windows Error Reporting, but allows it to prompt you to send information about application failures to Microsoft whenever a failure occurs.

  5. Click OK.


Role Home Pages

The Roles page in Server Manager

The Roles page of the Server Manager console contains a Roles Summary section, followed by collapsible sections added for each role that is installed on the computer.

Roles Summary section

The Roles Summary section lists roles that are installed on the computer in alphabetical order. To the left of each role is an icon that displays the current general operational status of the role.

Clicking the name of the role in the Roles Summary section opens the home page for that role.

Role-specific sections

Role-specific sections of the Roles page contain the following subsections.

Subsection name | Description
Role Status | The Role Status subsection shows if recent error and event messages have been logged for the role or any services upon which the role depends. Clicking the links in Role Status opens the role-specific home page.
Role Services | The Role Services subsection lists all available role services, provides a brief description of each, and shows which role services are installed on the server. You can use commands in the right margin of the Role Services subsection to add or remove role services.

Role-specific home pages

Role-specific home pages provide extensive detail about the operational status of a role, and allow you to start role-specific management tasks from within Server Manager.

Role-specific home pages include the following sections.

Summary section

The Summary section of a role's home page contains the following subsections.

Section name | Description
Events | The Events section shows event and error messages that have been logged for the role within the most recent 24 hours. You can open, view, and filter event messages in this section without opening Event Viewer separately; however, you can also use the Go to Event Viewer command in the right margin of this section to open Event Viewer if needed.
System Services | The System Services section lists the system services upon which the role depends to run, and provides the status and a description of each service. Commands in the System Services section allow you to open the Services snap-in, stop, and restart services.
Role Services | The Role Services section lists all available role services, provides a brief description of each, and shows which role services are installed on the server. You can use commands in the right margin of the Role Services subsection to add or remove role services.

The Filter Events dialog box

The Filter Events command, located in the margin of the Events section, opens the Filter Events dialog box. Although the Filter Events dialog box allows you to filter events in much the same way as you can by using filtering tools in Event Viewer, this dialog box is unique to the role-specific home pages of Server Manager. Event Viewer filters provide more filtering options and criteria; the Filter Events dialog box in Server Manager provides a subset of Event Viewer filter functionality.

The Filter Events dialog box allows you to display selected events in the Events section of a role's home page based on the following three event properties.

  • Levels Events are tagged with the following levels, depending on the severity of the action or condition that triggered the event message. When all levels are selected, events of all levels are displayed in the Events section of the role home page. By default, all levels are selected, so that all levels of events show in the Events area.

    • Information. Indicates that a change in an application or component has occurred, such as an operation has successfully completed, a resource has been created, or a service started.

    • Warning. Indicates that an issue has occurred that can impact service or result in a more serious problem if action is not taken.

    • Error. Indicates that a problem has occurred, which might impact functionality that is external to the application or component that triggered the event.

    • Critical. Indicates that a failure has occurred from which the application or component that triggered the event cannot automatically recover.

    Selecting the Verbose level provides the maximum amount of data in event messages.

  • Event IDs You can filter events by ID numbers separated by commas, or a range of numbers separated by a dash. To exclude an event number in a range, enter a dash or minus character (-) in front of the number you want to exclude.

    Note

    The Levels property overrides other properties on the Filter Events dialog box. For example, if you want to filter events for an Error-level message with an event ID of 620, but the Error level is not selected in the Levels area, event ID 620 will not be displayed. Similarly, if you have applied a filter in which you selected Information-level events and then specified a 12-hour time period, but no Information-level events have been logged for the role in the last 12 hours, the Events list shows no events.

  • Time period This property filters for events that have occurred only within the most recent specified time period. By default, the time period is set to 24 hours.

When you modify any of the default settings on the Filter Events dialog box and then click OK, the Events area displays a Filtering Enabled message at the bottom of the list box of events. Restoring default settings in the Filter Events dialog box (all levels selected, no event IDs specified, 24-hour time period specified) clears the Filtering Enabled message, disabling filtering.

System Services Preferences

Much like the Filter Events dialog box, the System Services Preferences dialog box in Server Manager includes a subset of the information and settings that are available in the Properties dialog box opened from within the Services snap-in. Just as you can by using the Properties dialog box for specific services in the Services snap-in, you can use commands in the margin of the System Services area to start, stop, pause, and restart services associated with the operation of a role.

The Server Manager implementation of the Services Preferences dialog box allows you to monitor in the role's home page the status of services that are required by a role. Services associated with the role's operation are listed in the Preferences dialog box, and you can enable or disable monitoring for each service independently.

Important

Default system services are selected for monitoring in the Preferences dialog box for the optimal continuity of the role's operation. Modifying default monitoring settings, especially turning off monitoring for services that are monitored by default, can result in error conditions or status changes in the role's operation.

Resources and Support section

The Resources and Support section provides guidance for managing the role and configuring the role to perform common and recommended tasks in your enterprise.

The Resources and Support section lists recommended configurations for the role. Clicking on a configuration displays a description of each, including a link to a checklist topic that guides you through the tasks that must be performed to complete the configuration.

You can find more assistance with managing and deploying additional aspects of the role by clicking the links in the margin of the Resources and Support section that connect you to the Help and the Windows Server® 2008 TechCenter Web site for the role.


Server Manager Command-line Tools

Server Manager offers a command-line tool—ServerManagerCmd.exe—which automates the deployment of roles and features on computers running Windows Server® 2008.

You can use ServerManagerCmd.exe to install and remove roles, role services, and features. ServerManagerCmd.exe parameters also display a list of all roles, role services, and features both installed and available for installation on the computer.

In this section

This section contains the following topics.

Overview of Server Manager Commands

Creating an Answer File for Server Manager Commands

Interpreting Output from Server Manager Commands


Overview of Server Manager Commands

Server Manager in Windows Server® 2008 offers a command-line tool, ServerManagerCmd.exe, to enable users to perform automated installations or removals of roles, role services, and features. ServerManagerCmd.exe options enable users to view logs of its operations, and run queries to display lists of roles, role services, and features both installed and available for installation on a computer.

ServerManagerCmd.exe can be used with an XML answer file to expedite repetitive automated installations or removals of roles or features. For more information about the answer file you can use with ServerManagerCmd.exe, see Creating an Answer File for Server Manager Commands.

The Server Manager command line, pkgmgr, and ocsetup

The Server Manager command line differs from earlier command-line tools, such as pkgmgr and ocsetup, that are used to install and remove Windows software packages. The Server Manager command-line utility is the recommended tool for installing or removing roles, role services, and features on a computer running Windows Server 2008.

The following list includes ways in which the Server Manager command line differs from pkgmgr and ocsetup, and describes advantages for administrators who want to deploy a server as efficiently as possible.

  • The Server Manager command line is consistent in function and terminology with the roles, role services, and features deployment and management capabilities of the Server Manager console in the Windows Server 2008 UI.

  • The type of packages or files in which a role, role service, or feature are contained need not be known by users; the Server Manager command line requires only the name of the role, role service, or feature that the administrator wants to install or remove. Administrators do not need to provide any path or file names of role, role service, or feature packages.

  • Administrators do not need to specify dependencies between roles, role services, and features when they are using the Server Manager command line. The Server Manager command line utility automatically installs any other software packages that are required to use the role, role service, or feature specified in the command.

  • If problems occur with an installation or removal, error handling for ServerManagercmd.exe simplifies troubleshooting and provides clear actions to the user.

  • The -whatIf parameter of ServerManagercmd.exe allows users to verify what actions their commands will perform before they execute commands and modify the system. There is no comparable command parameter included with pkgmgr and ocsetup.

  • The -query parameter provides users with a complete view of which roles, role services, and features are available for installation on the computer, and which are currently installed. There is no comparable command parameter included with pkgmgr and ocsetup.

  • Both the input and output of the Server Manager command line is XML based. ServerManagercmd.exe accepts an XML answer file itemizing roles, role services, and features to be installed or removed. Both the results of installation and removal operations, and -query results can be exported to XML files. This enables automation scenarios in which other software can generate and interpret the XML files that are used with the Server Manager command-line utility.

The ServerManagerCmd.exe command

The Server Manager command-line installation accepts parameters to install or remove one or more roles, role services, and features that are separated by spaces. When you want to install or remove more than one role, role service, or feature on a server by using a single command instance, you can also use an XML answer file, especially if you want to configure multiple servers identically. For more information about the answer file you can use with ServerManagerCmd.exe, see Creating an Answer File for Server Manager Commands.

Note

ServerManagerCmd.exe can be executed from within any directory on the server's local drives. You must be a member of the Administrators group on the server on which you want to install or remove software.

Important

Because of security restrictions imposed by User Account Control in Windows Server 2008, you must run ServerManagerCmd.exe in a Command Prompt window opened with elevated privileges. To do this, right-click the Command Prompt executable, or the Command Prompt object on the Start menu, and then click Run as administrator.

Syntax

ServerManagerCmd.exe -query [<query.xml>] [-logPath <log.txt>]

ServerManagerCmd.exe -inputPath <answer.xml> [-resultPath <result.xml> [-restart] | -whatIf] [-logPath <log.txt>]

ServerManagerCmd.exe -install <command-Id> [-setting <setting-name>=<setting value>]* [-allSubFeatures] [-resultPath <result.xml> [-restart] | -whatIf] [-logPath <log.txt>]

ServerManagerCmd.exe -remove <command-Id> [-resultPath <result.xml> [-restart] | -whatIf] [-logPath <log.txt>]

ServerManagerCmd.exe [-help | -?]

ServerManagerCmd.exe -version

Parameters

Parameter Description

-query [<query.xml>]

Displays a list of all roles, role services, and features installed and available for installation on the server. You can also use the short form of this parameter, -q.

If you want the query results saved to an XML file, specify an XML file to replace query.xml.

Note

The results of the -query parameter cannot be used as an answer file with the -inputPath parameter. The XML used by -query results and the XML required in a Servermanagercmd.exe answer file do not validate to the same schema.

-inputPath <answer.xml>

Installs or removes the roles, role services, and features specified in the answer file, an XML file represented by answer.xml. You can also use the short form of this parameter, -p.

For more information about creating an answer file for use with this parameter, see Creating an Answer File for Server Manager Commands.

-install <Id>

Installs the role, role service, or feature specified by Id. See Role, role service, and feature command identifiers in this topic for a complete list of the role, role service, or feature identifiers from which you can choose to specify for Id. The identifiers are case-insensitive. Multiple roles, role services, and features must be separated by spaces.

The following optional parameters are used with the -install parameter.

Parameter Description

-setting <setting name>=<setting value>

Specify required settings for the installation. See Role, role service, and feature command identifiers in this topic for a complete list of available settings.

-allSubFeatures

Specify the installation of all subordinate services and features along with the parent role, role service, or feature named in the -install command's Id parameter.

Note that some role containers do not have a command line identifier to allow installation of all role services. This is the case when role services cannot be installed in the same instance of the Server Manager command. For example, the Federation Service role service of Active Directory Federation Services and the Federation Service Proxy role service cannot be installed by using the same Server Manager command instance.

-resultPath <result.xml>

Saves installation results to an XML file represented by result.xml. You can also use the short form of this parameter, -r. You cannot use the -resultPath parameter and the -whatIf parameter in the same instance of ServerManagerCmd.exe.

-restart

Adding -restart to the -install command restarts the computer automatically when installation is complete, if restarting is required by the roles or features installed.

-whatIf

You can use -whatIf to display any operations specified for the -install command. You can also use the short form of the -whatIf parameter, -w. You cannot use the -resultPath parameter and the -whatIf parameter in the same instance of ServerManagerCmd.exe.

-logPath <log.txt>

Use -logPath to specify a name and location for the log file, other than the default, %windir%\temp\servermanager.log.

-remove <Id>

Removes the role, role service, or feature specified by Id. See Role, role service, and feature command identifiers in this topic for a complete list of the role, role service, and feature identifiers from which you can choose to specify for Id. The identifiers are case-insensitive. Multiple roles, role services, and features must be separated by spaces.

The following optional parameters are used with the -remove parameter.

Parameter | Description
-resultPath <result.xml> | Saves removal results to an XML file represented by result.xml. You can also use the short form of this parameter, -r. Note that you cannot use the -resultPath parameter and the -whatIf parameter in the same instance of ServerManagerCmd.exe.
-restart | Adding -restart to the -remove command restarts the computer automatically when removal is complete, if restarting is required by remaining roles or features.
-whatIf | You can use -whatIf to display any operations specified for the -remove command. You can also use the short form of the -whatIf parameter, -w. You cannot use the -resultPath parameter and the -whatIf parameter in the same instance of ServerManagerCmd.exe.
-logPath <log.txt> | Use -logPath to specify a name and location for the log file, other than the default, %windir%\temp\servermanager.log.

-help

Display Help for ServerManagerCmd.exe in the command window. You can also use the short form, -?.

-version

Display the Server Manager version number. You can also use the short form, -v.

Role, role service, and feature command identifiers

The tables in this section match roles, role services, and features available in Windows Server 2008 with the command identifiers you must use with ServerManagerCmd.exe to install or remove them.

Role and Role Service command identifiers

Role and role service command identifiers Command value Notes

Active Directory Certificate Services

Certification Authority

Certification Authority Web Enrollment (not installable by using the command line)

Online Certificate Status Protocol

Microsoft Simple Certificate Enrollment Protocol (not installable by using the command line)

(No command)

ADCS-Cert-Authority

AD-Certificate

ADCS-Online-Cert

Certification Authority and Online Certificate Status Protocol can be installed by using the Server Manager command-line interface. Other role services for Active Directory Certificate Services cannot be installed by using the Server Manager command line.

Active Directory Domain Services

Active Directory Domain Controller

Identity Management for UNIX

Server for Network Information Service

Password Synchronization

Administration tools for Identity Management for UNIX

(No command)

ADDS-Domain-Controller

ADDS-Identity-Management

ADDS-NIS

ADDS-Password-Sync

ADDS-IDMU-Tools

After installing Active Directory Domain Services (AD DS), you must run the dcpromo command to promote the server to a domain controller.

Removing the AD DS role while the computer is operating as a domain controller fails. You must first demote the domain controller to a standard domain member.

Active Directory Federation Services

Federation Service

Federation Service Proxy

Web Agents

Claims-aware Agent

Windows Token-based Agent

(No command)

ADFS-Federation

ADFS-Proxy

ADFS-Web-Agents

ADFS-Claims

ADFS-Windows-Token

Active Directory Federation Services should be installed with default settings.

Active Directory Lightweight Directory Services

ADLDS

None

Active Directory Rights Management Services (AD RMS)

Rights Management Server

Active Directory Rights Management Services (AD RMS) cannot be installed by using the Server Manager command line.

None

Application Server

Application Server Core

Web Server Support

COM+ Network Access

TCP Port Sharing

Windows Process Activation Service Support

HTTP Activation

Message Queuing Activation

TCP Activation

Named Pipes Activation

Distributed Transaction Support

Incoming Remote Transactions

Outgoing Remote Transactions

WS-Atomic Transaction Support

Application-Server

AS-AppServer-Core

AS-Web-Support

AS-Ent-Services

AS-TCP-Port-Sharing

AS-WAS-Support

AS-HTTP-Activation

AS-MSMQ-Activation

AS-TCP-Activation

AS-Named-Pipes

AS-Dist-Transaction

AS-Incoming-Trans

AS-Outgoing-Trans

AS-WS-Atomic

If you install the WS-Atomic Transaction Support role service by using the Server Manager command line, by default, WS-Atomic Transaction Support is configured to use a self-signed certificate.

DHCP Server

DHCP

The DHCP Server role should be installed with default settings.

DNS Server

DNS

None

Fax Server

Fax

Fax Server should be installed with default settings.

File Services

File Server

Distributed File System (DFS)

DFS Namespace

DFS Replication

File Server Resource Manager

Services for Network File System

Windows Search Service

Windows Server 2003 File Services

File Replication Service

Indexing Service

(No command)

FS-Fileserver

FS-DFS

FS-DFS-Namespace

FS-DFS-Replication

FS-Resource-Manager

FS-NFS-Services

FS-Search-Service

FS-Win2003-Services

FS-Replication

FS-Indexing-Service

You cannot install or remove the File Services container by using the Server Manager command line. You can install or remove the File Services container only by using the Server Manager user interface. Note that for this reason, there is no command ID available to represent the File Services container.

Because you can configure File Services settings after installing the role, you are not required to specify File Services settings in the Server Manager command-line answer file.

Note that Services for Network File system is not part of the File Services role on computers running Windows Server 2008 for Itanium-based Systems; it is available as a role service of File Services only on the 32-bit and 64-bit versions of Windows Server 2008.

Hyper-V™

Hyper-V

Network Policy and Access Services

Network Policy Server

NPAS Routing and Remote Access Services

Remote Access Service

Routing

Health Registration Authority

NPAS

NPAS-Policy-Server

NPAS-RRAS-Services

NPAS-RRAS

NPAS-Routing

NPAS-Health

Because Network Policy and Access Services settings can be configured after installing the role, you are not required to specify Network Policy and Access Services settings in the command-line answer file.

Print Services

Print Server

Internet Printing

LPD Service

Print-Server

Print-Services

Print-Internet

Print-LPD-Service

During removal of this role in the Server Manager UI, you are prompted to delete instances of printers configured on the server. By default, these instances are preserved, which is the default behavior of command-line removal of the Print Services role.

Terminal Services

Terminal Server

TS Licensing

TS Gateway

TS Web Access

TS Session Broker

Terminal-Services

TS-Terminal-Server

TS-Licensing

TS-Gateway

TS-Web-Access

TS-Session-Broker

Because Terminal Services settings can be configured after installing the role, you are not required to specify Terminal Services settings in the command-line answer file.

UDDI Services

UDDI Services Web Application

UDDI Services Database

UDDI Services is not installable by using the Server Manager command line.

You cannot install UDDI Services by using the Server Manager command-line because complex database settings are required during UDDI Services setup.

Web Server (IIS)

Internet Information Services

Common HTTP Features

Static Content

Default Document

Directory Browsing

HTTP Errors

HTTP Redirection

Application Development

ASP.NET

.NET Extensibility

ASP

CGI

ISAPI Extensions

ISAPI Filters

Server Side Includes

Health and Diagnostics

HTTP Logging

Logging Tools

Request Monitor

Tracing

Custom Logging

ODBC Logging

Security

Basic Authentication

Windows Authentication

Digest Authentication

Client Certificate Mapping Authentication

IIS Client Certificate Mapping Authentication

URL Authorization

Request Filtering

IP and Domain Restrictions

Performance

Static Content Compression

Dynamic Content Compression

Management Tools

IIS Management Console

IIS Management Scripts and Tools

Management Service

IIS 6 Management Compatibility

IIS 6 Metabase Compatibility

IIS 6 WMI Compatibility

IIS 6 Scripting Tools

IIS 6 Management Console

FTP Publishing Service

FTP Server

FTP Management Console

Web-Server

Web-WebServer

Web-Common-Http

Web-Static-Content

Web-Default-Doc

Web-Dir-Browsing

Web-Http-Errors

Web-Http-Redirect

Web-App-Development

Web-Asp-Net

Web-Net-Ext

Web-ASP

Web-CGI

Web-ISAPI-Ext

Web-ISAPI-Filter

Web-Includes

Web-Health

Web-Http-Logging

Web-Log-Libraries

Web-Request-Monitor

Web-Http-Tracing

Web-Custom-Logging

Web-ODBC-Logging

Web-Security

Web-Basic-Auth

Web-Windows-Auth

Web-Digest-Auth

Web-Client-Auth

Web-Cert-Auth

Web-Url-Auth

Web-Filtering

Web-IP-Security

Web-Performance

Web-Stat-Compression

Web-Dyn-Compression

Web-Mgmt-Tools

Web-Mgmt-Console

Web-Scripting-Tools

Web-Mgmt-Service

Web-Mgmt-Compat

Web-Metabase

Web-WMI

Web-Lgcy-Scripting

Web-Lgcy-Mgmt-Console

Web-Ftp-Publishing

Web-Ftp-Server

Web-Ftp-Mgmt-Console

None

Windows Deployment Services

WDS

None

Feature command identifiers

Features Command Value Notes

BitLocker Drive Encryption

BitLocker

BITS Server Extensions

BITS

Connection Manager Administration Kit

CMAK

Desktop Experience

Desktop-Experience

Failover Clustering

Failover-Clustering

File Server Resource Manager

Resource-Manager

File Server Resource Manager is available as a feature only on the Windows Server 2008 Web Server edition. On other Windows Server 2008 SKUs, File Server Resource Manager is a role service of File Services.

Group Policy Management

GPMC

Internet Printing Client

Internet-Print-Client

Internet Storage Naming Server

ISNS

LPR Port Monitor

LPR-Port-Monitor

Message Queuing

Message Queuing Services

Message Queuing Server

Directory Service Integration

Message Queuing Triggers

HTTP Support

Multicasting Support

Routing Service

Windows 2000 Client Support

Messaging Queue DCOM Proxy

MSMQ

MSMQ-Services

MSMQ-Server

MSMQ-Directory

MSMQ-Triggers

MSMQ-HTTP-Support

MSMQ-Multicasting

MSMQ-Routing

MSMQ-Win2000

MSMQ-DCOM

Multipath I/O

Multipath-IO

Network Load Balancing

NLB

.NET Framework 3.0 Features

.NET Framework 3.0

XPS Viewer

Windows Communication Foundation Activation Components

HTTP Activation

Non-HTTP Activation

NET-Framework

NET-Framework-Core

NET-XPS-Viewer

NET-Win-CFAC

NET-HTTP-Activation

NET-Non-HTTP-Activ

Note that the command-line syntax for .NET Framework 3.0 Features does not contain the "." character before NET.

Peer Name Resolution Protocol

PNRP

Quality Windows Audio Video Experience

Qwave

Remote Assistance

Remote-Assistance

Remote Differential Compression

RDC

Removable Storage Manager

Removable-Storage

RPC over HTTP Proxy

RPC-over-HTTP-Proxy

Remote Server Administration Tools

Role administration tools

Active Directory Certificate Services Tools

Active Directory Domain Services Tools

Active Directory Domain Controller Tools

Server for NIS Tools

Active Directory Lightweight Directory Services Tools

Active Directory Rights Management Services (AD RMS) Tools

DHCP Server Tools

DNS Server Tools

Fax Server Tools

DFS Management Console Tools

File Server Resource Manager Management Console Tools

Hyper-V Tools

Services for Network File System Tools

File Services Tools

Network Policy and Access Services Tools

Health Registration Authority Tools

Network Policy Server Tools

Remote Access Service Tools

Print Services Tools

Web Server (IIS) Tools

Terminal Services Tools

TS RemoteApp Tools

TS Gateway Tools

TS Licensing Tools

UDDI Services Tools

Feature administration tools

BitLocker Drive Encryption Tools

BITS Server Extensions Tools

Failover Clustering Tools

Network Load Balancing Tools

SMTP Server Tools

Windows Deployment Services Tools

WINS Server Tools

RSAT

RSAT-Role-Tools

RSAT-ADCS

RSAT-ADDS

RSAT-ADDC

RSAT-SNIS

RSAT-ADLDS

RSAT-RMS

RSAT-DHCP

RSAT-DNS

RSAT-Fax

RSAT-DFS-Mgnt-Con

RSAT-FSRM-Mgnt

RSAT-Hyper-V

RSAT-NFS-Admin

RSAT-File-Services

RSAT-NPAS

RSAT-RAS

RSAT-HRA

RSAT-NPS

RSAT-Print-Services

RSAT-Web-Server

RSAT-TS

RSAT-TS-RemoteApp

RSAT-TS-Gateway

RSAT-TS-Licensing

RSAT-UDDI

RSAT-Feature-Tools

RSAT-BitLocker

RSAT-BITS-Server

RSAT-Clustering

RSAT-NLB

RSAT-SMTP

RSAT-WDS

RSAT-WINS

Services for Network File System

NFS-Services

Services for Network File System is available as a feature only on the Windows Server 2008 IA64 version. On other versions of Windows Server 2008, it is available as a role service of File Services.

Simple TCP/IP Services

Simple-TCPIP

SMTP Server

SMTP-Server

SNMP Services

SNMP Service

SNMP WMI Provider

SNMP-Services

SNMP-Service

SNMP-WMI-Provider

Storage Manager for SANs

Storage-Mgr-SANS

Subsystem for UNIX-based Applications

Subsystem-UNIX-Apps

Telnet Client

Telnet-Client

Telnet Server

Telnet-Server

TFTP Client

TFTP-Client

Windows Internal Database

Windows-Internal-DB

Windows PowerShell

PowerShell

Windows Process Activation Service

Process Model

.NET Environment

Configuration APIs

WAS

WAS-Process-Model

WAS-NET-Environment

WAS-Config-APIs

Windows Server Backup Features

Windows Server Backup

Command-line tools

Windows Server Backup Cmdlets

Backup-Features

Backup

Backup-Tools

Backup-Cmdlets

Windows System Resource Manager

WSRM

WINS Server

WINS-Server

Wireless Networking

Wireless-Networking

Remarks

ServerManagerCmd.exe does not support configuration or management of roles and features, after those are installed. Role and feature installations completed by using ServerManagerCmd.exe use default settings. To modify role or feature settings, perform role administration tasks, or view status or events for roles and features, you should use the Windows GUI–based Server Manager console. You might need to open other management snap-ins for your role, or use role- and feature-specific command-line tools for managing or configuring specific roles, role services, and features.

Note

Although role and feature installations are secure by default, you should use the Server Manager console to modify any default settings to conform to security policies in your enterprise. ServerManagerCmd.exe cannot be used to install and configure applications other than Windows Server 2008 roles, role services, and features. ServerManagerCmd.exe is not supported on computers running a Server Core installation of Windows Server 2008. ServerManagerCmd.exe cannot be used for installation or removal of roles, role services, and features on remote computers.

Examples

The following are examples of how Server Manager commands are used.

Querying the installed roles and features on the computer

The following example shows the ServerManagerCmd.exe syntax for performing a query to determine which roles, role services, and features are installed on a computer, and which are available for installation. In this example, the administrator directs Server Manager to save the results of the query to a file, C:\queryResults.xml.

ServerManagerCmd.exe -query C:\queryResults.xml

Installing a role without an answer file

The following shows the ServerManagerCmd.exe syntax for installing Web Server (IIS) and all its role services. The administrator exports the results of the installation to an XML file called WebServer.xml. The administrator has also instructed Server Manager to restart the computer automatically when installation is complete, if required by the role.

ServerManagerCmd.exe -install Web-Server -allSubFeatures -resultPath C:\Admin\WebServer.xml -restart

Removing features by using an answer file and the ServerManagerCmd.exe command

An administrator is using the following command to repurpose several servers by removing a number of roles. Commands for the roles to be removed are provided in an answer file named RemoveFilePrint.xml. The administrator has added the -whatIf option to the command to display the command operations specified in the removalresults.xml answer file, and show if any software that is dependent on the items specified for removal in the answer file was also removed.

ServerManagerCmd.exe -inputPath C:\AdminFiles\RemoveFilePrint.xml -resultPath C:\AdminFiles\removalresults.xml -whatIf

Additional references

Windows Script Center (http://go.microsoft.com/fwlink/?LinkID=63080)

Interpreting Output from Server Manager Commands


Creating an Answer File for Server Manager Commands

The Server Manager command-line installation in Windows Server® 2008 accepts parameters to install or remove one role, role service, or feature per command instance. When you want to install or remove more than one role, role service, or feature on a server by using a single command instance, use an XML answer file.

In Windows Server 2008, users create answer files from scratch. The answer file provides the following information to the Server Manager command-line interface:

  • roles, role services, and features users want to install on or remove from a server

  • Configuration settings required to complete installation of roles, role services, or features

Role, role service, and feature dependencies

When you install or remove roles, role services, or features by using the Server Manager GUI, the Add Roles Wizard verifies that all of the software required by a role installs with any role you select in the wizard. If necessary, the wizard prompts you to approve the installation of other roles, role services, or features that are required by roles you select.

The same verification process occurs when you use the Server Manager command line. If you want to install or remove only specific parts of roles or features, you need to specify only the parts you want to install or remove. There is no need to specify all of the required roles and role services for role services you want to install; Server Manager automatically installs or removes the software upon which your desired role service is dependent.

Important

When you remove roles by using an answer file, Server Manager automatically removes all roles and role services that depend on a specified role or role service in your answer file. Adding the -whatIf parameter to your Server Manager command displays a list of all roles and role services that are removed as a consequence of removing a role or role service specified in your answer file.

For example, if you want to install Internet Printing, a role service of Print Services, your answer file needs to specify only Internet Printing; you do not need to specify Web Server (IIS) or specific role services of Web Server (IIS). By default, Server Manager installs parts of Web Server (IIS), another role, which are required for Internet Printing to run. By using the same answer file, you want to remove the Terminal Services role service TS Gateway from the same server. TS Gateway also requires parts of Web Server (IIS) to run. Server Manager removes those role services of Web Server (IIS) that neither TS Gateway nor Internet Printing require to run, but it retains Web Server (IIS) role services still required by Internet Printing.

How the answer file handles parent and child role services

Some roles, role services, and features are containers of child elements that Server Manager installs by default. In the wizards that are part of the Server Manager GUI, when you select a container node for either installation or removal, required child elements are automatically selected. Although you can clear check boxes manually for some child elements, the selected child elements are recommended defaults.

When a container is specified in a command-line installation, the default child elements are automatically included. When a container is specified in a command-line removal, all child elements are removed. For example, when the Print Services role is named in the answer file along with the -install command, the Print Server role service is also installed. However, specifying the removal of the Print Services container results in the removal of the entire role.

If default child elements should not be installed, do not specify the container in the answer file. Specify only the child elements that you want to install or remove.

For example, if you want to install Internet Printing, a role service of Print Services, your answer file needs to specify only Internet Printing; you do not need to specify Print Services or other role services of Print Services. Server Manager installs only Internet Printing and the Print Server role service that it requires, but not LPD Service, another role service subordinate to Print Services.

Creating an answer file for Server Manager commands

You can create the answer file to use with the Server Manager command line in an XML editing program or in a text editing utility such as Notepad. It is recommended that you use an XML editor that can validate your work to an existing XML schema, because it is important to validate your answer file to the Server Manager command-line schema definition. See The Server Manager Command-line Schema in this topic for more information.

Note

The results of the -query parameter cannot be used as an answer file with the -inputPath parameter. The XML used by -query results and the XML required in a Servermanagercmd.exe answer file do not validate to the same schema.

Specifying the identifiers of roles, role services, and features

The Server Manager command line and answer file recognizes the identifiers of roles, role services, and features provided in Overview of Server Manager Commands. Identifiers of roles, role services, and features in the answer file and in the Server Manager command line are case-insensitive, so the capitalization shown in the identifiers is not essential.

Answer file examples

The following are sample answer files. Note that the following heading element must be present in all answer files, and to create well-formed XML, the element must be closed at the end of the answer file. The placeholder action must be replaced with either Install or Remove.

<ServerManagerConfiguration
Action="action"
xmlns="http://schemas.microsoft.com/sdm/Windows/ServerManager/ Configuration/2007/1">
…answer file content…
</ServerManagerConfiguration>

Installing DNS Server, Web Server, Terminal Services Gateway, Message Queuing Server, and .NET Framework 3.0 Features

In the following example, the administrator wants to install DNS Server, Web Server (IIS), Terminal Services Gateway (a role service of Terminal Services), Message Queuing Server (part of the feature Message Queuing), and all parts of .NET Framework 3.0 Features.

<ServerManagerConfiguration
Action="Install"
xmlns="http://schemas.microsoft.com/sdm/Windows/ServerManager/ Configuration/2007/1">
<Role Id="DNS"/>
<Role Id="Web-Server"/>
<RoleService Id="TS-Gateway"/>
<Feature Id="MSMQ-Server"/>
<Feature Id="Net-Framework" InstallAllSubFeatures="true"/>
</ServerManagerConfiguration>

The following are the results of this operation.

  • DNS Server: Installed.

  • Web Server (IIS): Has a number of default role services and a dependency on the Windows Activation Service (WAS) feature. All default role services and WAS are installed.

  • Terminal Services: The TS Gateway role service is installed, meaning the Terminal Services role is now installed. TS Gateway depends on several Web Server (IIS) role services, along with Network Policy and Access Services, which is also installed.

  • Message Queuing: Only the Message Queuing Server feature element is installed. Other elements of Message Queuing are not installed.

  • .NET Framework 3.0 Features: All sub-features of .NET Framework 3.0 Features are installed.

Removing DNS Server, Terminal Services Gateway, and .NET Framework 3.0 Features

In the following example, the administrator wants to remove DNS Server, TS Gateway, and .NET Framework 3.0 Features.

<ServerManagerConfiguration
Action="Remove"
xmlns="http://schemas.microsoft.com/sdm/Windows/ServerManager/Configuration/2007/1">
<Role Id="DNS"/>
<RoleService Id="TS-Gateway"/>
<Feature Id="Net-Framework"/>
</ServerManagerConfiguration>

The following are the results of this operation.

  • DNS Server: Removed

  • Terminal Services: The TS Gateway role service is removed. Other installed role services of Terminal Services are not removed. Web server (upon which TS Gateway was dependent) is not removed.

  • .NET Framework 3.0 Features: All sub-features of .NET Framework 3.0 are removed. If some sub-features were not previously installed, they are ignored.

The Server Manager command-line schema

XML answer files that are used with the Server Manager command line must validate to the Server Manager command-line schema definition. You can find a copy of this schema on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=81203).


Interpreting Output from Server Manager Commands

The Server Manager line command in Windows Server® 2008 generates output about its operations, and displays highlights of the output on the screen. Server Manager also writes much more verbose output to a text-only log file. You can also configure Server Manager to write the results of command-line operations to an XML-based results file.

This section identifies and describes the codes and messages that are found in Server Manager command output files.

Results of Server Manager command-line operations

By default, Server Manager writes command output to a text-only log file, logname.txt, located at %windir%\temp\servermanager.log.

Note

Although this log stores output about the operations of the Server Manager command, the output is very verbose and not in a user-friendly format. This log file is useful if it is necessary to contact Microsoft Product Support Services about Server Manager operations.

You can change the default name and location of the log file by adding the -logPath parameter to the Server Manager line command, ServerManagerCmd.exe. For more information about the -logPath parameter and the syntax of ServerManagerCmd.exe, see Overview of Server Manager Commands.

In addition to the text-only log file Server Manager creates by default, you can command Server Manager to store the results of its operations in an XML file with a name and location you provide. The parameter for specifying the name and location of an XML results file is -resultPath.

The -logPath and -resultPath parameters are used at the command prompt, regardless of whether you are using an answer file with the Server Manager command to specify a list of roles or features for removal, or whether you are installing or removing a single item directly at the command line. For more information about the Server Manager command line answer file, see Creating an Answer File for Server Manager Commands.

Examples

The following examples show how you specify the name and path to an XML results file in the Server Manager command.

Example of results file specification in a command with an answer file

ServerManagerCmd.exe -inputPath C:\CmdLine\Remove_roles.xml -resultPath C:\CmdLine\010107.xml

In the preceding example, an administrator has created an answer file named Remove_roles.xml, containing commands to remove several roles from a server. The administrator has specified a results file name and location, C:\CmdLine\010107.xml.

Example of results file specification in a command without an answer file

ServerManagerCmd.exe -install npas -allSubFeatures -r C:\CmdLine\Results\010107.xml -restart

In the preceding example, an administrator has instructed Server Manager to install Network Policy and Access Services. Note that the command name for the role, npas, is case-insensitive.

In this example, all role services of Network Policy and Access Services are installed, as requested with the -allSubFeatures parameter. The administrator uses the short form of the -resultPath parameter, -r, to specify a results file name and path. Finally, the administrator uses the -restart parameter to instruct Server Manager to restart the computer, if necessary, once installation of the Network Policy and Access Services role is complete.

Descriptions of output messages

This section describes the output and results returned by Server Manager in an XML-based results file.

Output messages

The following table identifies and describes messages that the Server Manager command writes to the console window, and to results files.

Message Exit code Text string Notes

Success, no need to restart

0

Success: Installation succeeded.

Success: Removal succeeded.

Two different messages might vary slightly, depending on whether the user specified roles or features in the command.

Success, restart is required

3010

Success: Installation succeeded. A restart is required.

Success: Removal succeeded. A restart is required.

This code is returned when a restart is required. After restarting the computer, you might need to run Server Manager in the Windows Server 2008 user interface to complete required configuration for roles or features.

Argument not valid

4

ArgumentNotValid: Argument not valid {argument}

ArgumentNotValid: Missing the answer file path

ArgumentNotValid: Missing log file path

ArgumentNotValid: Feature not valid: '{name}'. The name of the feature was not found.

ArgumentNotValid: Role not valid: '{name}'. The name of the role was not found.

ArgumentNotValid: The following name has already been specified in the input path: {name}

ArgumentNotValid: The following setting has already been specified in the input path: {setting}

ArgumentNotValid: Not a valid feature. '{name}' is a role.

ArgumentNotValid: Not a valid feature. '{name}' is a role service.

ArgumentNotValid: Not a valid role. '{name}' is a feature.

ArgumentNotValid: Invalid role. The name '{name}' is for a role service.

ArgumentNotValid: Not a valid role service. '{name}' is a feature.

ArgumentNotValid: Not a valid role service. '{name}' is a role.

Occurs when a user provides an argument that does not exist or omits a required part of a specified argument in the Server Manager command line.

Different messages are displayed depending on the argument that requires attention.

{argument} represents the incorrect argument specified by the user.

{name} represents the incorrectly specified name of the role, role service, or feature.

{setting} represents the name of an incorrectly specified or duplicated reference to a setting for a role, role service, or feature.

Error opening or reading input file

110

ReadError: Answer file does not exist: {0}

ReadError: Failed to read the answer file: {0}

ReadError: Failed to load the answer file: {0}. {1}

Occurs if the Server Manager command-line interface cannot read or locate the answer file provided by a user. Different messages are displayed for the same error code (110) depending on the specific reason the answer file could not be loaded.

{0} represents the path and name specified by the user.

{1} represents the exception found by Server Manager.

The recommended troubleshooting, if this error message occurs, is to verify that you have provided the correct name and path to your XML answer file, and verify that the answer file validates to the Server Manager answer file schema and uses the correct element structure. For more information about the correct setup and appearance of a Server Manager command answer file, see Creating an Answer File for Server Manager Commands.

Insufficient permissions or credentials

5

Error: Server Manager can be run only by a member of the built-in Administrators group on the local computer. You should install and remove roles and features only with elevated permissions.

This error occurs if the supplied user credentials do not have local administrative rights on the server, or if a user has not opened the command prompt window with elevated permissions. To do this, right-click the Command Prompt executable, or right-click Command Prompt on the Start menu, and then click Run as administrator.

No change needed

1003

NoChange: No changes were made because the roles and features specified in the answer file are already installed, or have already been removed from the local computer.

Occurs if the roles, role services, or features specified in the answer file to be installed are already installed on the computer, or if the answer file requests their removal and Server Manager found that they did not exist on the computer or have already been removed. In other words, this message occurs if the actions specified in the command result in a null operation.

An instance of a Server Manager wizard is already running on this computer

1004

Error: Another user is running a wizard in the Server Manager user interface.

If one of the Server Manager wizards (Add Roles, Add Features, Add Role Services, Remove Roles, Remove Features, Remove Role Services) is already running, attempts to run the Server Manager command line to install or remove roles, role services, or features fail. Server Manager prevents conflicting user changes to the software packages installed on a server by running only one tool at a time. Either the command-line tools or a Server Manager wizard can be run at one time, but not both simultaneously.

A failure occurred while collecting the list of installed roles or features, or while installing or removing the items specified by the user.

1000

Error: Installation of one or more roles, role services, or features failed. Check the Server Manager log for additional information and try again.

Error: Removal of one or more roles, role services, or features failed. Check the Server Manager log for additional information and try again.

Two different messages might vary slightly, depending on whether the user specified roles or features in the command.

Same as error 1000, except that a restart is required by this error to undo any changes made to the computer.

1001

Error: Installation of one or more roles, role services, or features failed, and a restart is required to undo any changes made to the computer. Check the Server Manager log for additional information and try again.

Error: Removal of one or more roles, role services, or features failed, and a restart is required to undo any changes made to the computer. Check the Server Manager log for additional information and try again.

Error: Installation of the role, role service, or feature failed because the computer must be restarted to complete another installation or removal. After restarting the computer, try to install the role, role service, or feature again.

Error: Removal of the role, role service, or feature failed because the computer must be restarted to complete another installation or removal. After restarting the computer, try to remove the role, role service, or feature again.

The different messages might vary slightly, depending on whether the user specified roles or features in the command.

Generic error

1002

Error: Generic error. {0}

This is a generic error for which there is no troubleshooting information available. In the event you receive this error, it is recommended you verify the syntax of your command, verify that you are logged on to the local computer as a member of the Administrators group, and retry the command.

{0} represents the exception found by Server Manager.

XML results file

The following is an example of the XML results file created by Server Manager when the -resultPath or -r parameter is added to the Server Manager line command, and a path and name are provided in the parameter.

< ServerManagerConfigurationResult
Action="Install"
Time="2006-11-29T14:26:39"
Language="en-US"
Success="true"
RequiresReboot="false"
xmlns="http://schemas.microsoft.com/sdm/Windows/ServerManager/Configuration/2007/1">
<Message Level="Information">Start Installing...</Message>
<Role DisplayName="DHCP Server"
Id="DHCP"
Success="true"
RequiresReboot="false"
RequestedBy="UserSpecified">
<Message Level="Information">Succeeded: [DHCP Server] </Message>
</Role>
<Message Level="Information">Install succeeded.</Message>
</ServerManagerConfigurationResult>

The following table identifies and describes elements found in the results file.

Element or attribute Description

ServerManagerCommandLineResult

Heading element; container for entire file.

Action

Identifies whether the results shown are for an installation or removal operation.

Time

Displays the date and time the operation was completed.

Language

Displays the language code (in the example, this is English-United States) for the localized messages included in the results.

Success

Displays the value "true" if the action was successful for all roles, role services, and features specified in the command; "false" if the action failed for one or more roles, role services, or features.

RequiresReboot

Displays the value "true" if you must restart the computer because of the successful installation or removal operation; "false" if no restart is required.

Xmlns

This attribute references the Server Manager command-line XML schema definition.

Message

All informational, warning, and error messages are included in the body of the XML file. A general message about the entire operation is found at the top level. However, if a message applies to a specific role, role service, or feature, the message is contained within the specific element for that item. Messages are localized in the language specified by the Language attribute.

Message attributes | Description
Level | Describes whether the message is informational, a warning, or an error.
Code | If applicable, displays a numerical error or message code. Server Manager error and message codes are described in this topic, in the Text-only log file section.

Role, Role Service, or Feature

Role, Role Service, or Feature elements can occur multiple times in the results file, depending on the objects for which the Server Manager command line answer file requests installation or removal.

Role, Role Service, or Feature attributes Description

DisplayName

Localized name of the role, role service, or feature.

Id

The command name for the role, role service, or feature. A list of command names for roles, role services, or features is available in Overview of Server Manager Commands.

RootParent

Name of the parent object for the value specified in the DisplayName attribute. For example, the parent object of the Request Filtering role service is Web Server.

Success

Displays a value of "true" if the action specified in the Action attribute was successful on the object specified in DisplayName, and "false" if the action failed.

RequiresReboot

Displays a value of "true" if the installation or removal of the object specified in the DisplayName attribute requires a restart of the computer, and "false" if no restart is required.

Skipped

Displays a value of "true" if the roles, role services, or features specified in the answer file to be installed are already installed on the computer, or if the answer file requests their removal, and Server Manager found that they did not exist on the computer, or have already been removed. In other words, this attribute has a "true" value only if the actions specified in the command result in a null operation. Displays a value of "false" if Server Manager completed the actions specified in the command

RequestedBy

Displays the reason a role, role service, or feature was installed or removed. There are four possible values.

  • Direct request of a user

  • Required by dependency of another role, role service, or feature

  • A container object was installed or removed, and this object is selected by default

  • All child objects of a container role, role service, or feature were selected (for example, the user added the -allSubFeatures parameter to the Server Manager command)

Message

See the Message description in the preceding row. Messages nested within Role, Role Service, or Feature elements are specific to that object only.


Accessibility Features in Server Manager

This topic describes two types of keyboard shortcuts: shortcuts for the Server Manager home page and shortcuts for the active window.

Server Manager home page keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the entire Server Manager console, or the Server Manager home page.

Action | Result
F5 | Refreshes the content of the Server Manager home page.
ALT+SPACEBAR | Displays the window menu.
ALT+F4 | Closes Server Manager.
ALT+A | Displays the Action menu.
ALT+V | Displays the View menu.
ALT+F | Displays the File menu.
ALT+H | Displays the Help menu.

Server Manager active window or object keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the active window or object (such as a node in the hierarchy pane) in Server Manager.

Action | Result
ALT+MINUS SIGN | Displays the window menu for any page in Server Manager.
SHIFT+F10 | Displays the Action shortcut menu for the selected item.
F1 | Opens the Help topic, if any, for the selected item.
F5 | Refreshes the content displayed by Server Manager.
CTRL+F10 | Maximizes the active page in Server Manager.
CTRL+F5 | Restores the active page in Server Manager.
ALT+ENTER | Displays the Properties dialog box, if any, for the selected item.
F2 | Renames the selected item, if the item can be renamed.

Navigation in Server Manager using the keyboard

The following table lists the keys and key combinations you can use to move in and between panes and grouped areas in any Server Manager page.

Keystroke Action | Result
TAB or F6 | Moves forward between panes in the active window.
SHIFT+TAB or SHIFT+F6 | Moves backward between panes in the active window.
CTRL+TAB or CTRL+F6 | Moves forward between windows.
CTRL+SHIFT+TAB or CTRL+SHIFT+F6 | Moves backward between windows.
PLUS SIGN (+) on the numeric keypad | Expands the selected item.
MINUS SIGN (-) on the numeric keypad | Collapses the selected item.
Asterisk (*) on the numeric keypad | Expands the entire tree below the root item in the active window.
UP ARROW | Moves the selection up one item in a pane.
DOWN ARROW | Moves the selection down one item in a pane.
PAGE UP | Moves the selection to the top item visible in a pane.
PAGE DOWN | Moves the selection to the bottom item visible in a pane.
HOME | Moves the selection to the first item in a pane.
END | Moves the selection to the last item in a pane.
RIGHT ARROW | Expands the selected item. If the selected item does not contain hidden items, behaves like DOWN ARROW.
LEFT ARROW | Collapses the selected item. If the selected item does not contain exposed items, behaves like UP ARROW.
ALT+RIGHT ARROW | Moves the selection to the next item. Performs the same function as the Forward arrow on the toolbar.
ALT+LEFT ARROW | Moves the selection to the previous item. Performs the same function as the Back arrow on the toolbar.